--[[
    Project: AtlasMajorCities English NPC Plugin
    Author: modefanz.eu ~ Modefanz Coding Team
    Discripton: English NPC Plugin for AtlasMajorCities.
    Release Date: May.2009
    Release Version: 1.5
    Internal: AMC.enUS.15
]]--
--$Id: amc_zhTW.lua 74 2010-06-16 17:41:23Z arith $

local AceLocale = LibStub:GetLibrary("AceLocale-3.0");

local BabbleZone = AMC_GetLocaleLibBabble("LibBabble-Zone-3.0")
local BabbleFaction = AMC_GetLocaleLibBabble("LibBabble-Faction-3.0")
local BabbleRace = AMC_GetLocaleLibBabble("LibBabble-Race-3.0")
local BabbleNPCDesc = AMC_GetLocaleLibBabble("LibBabble-NPC-Descriptio-3.0");

local AMCL = AceLocale:NewLocale("AtlasMajorCities", "zhTW", false);

if AMCL then

	--Common	
  AMCL["Major Cities"] = 	"主城地圖";

  ---Common Names, Items & Buildings  
  -- Public Shops, Facilities, Equipments, Tools
  AMCL["Inn"] = "旅館";
  AMCL["Mailbox"] = "郵箱";
  AMCL["Forge"] = "熔爐";
  AMCL["Stove"] = "烹飪火爐";
  AMCL["AH"] = "拍賣場";
  AMCL["Bank"] = "銀行";
  AMCL["Bshop"] = "美容沙龍";
  AMCL["Alliance Brigadier"] = "聯盟准將";
  AMCL["Ancients Emissary"] = "遠祖灘頭密使";
  AMCL["E Dummy"] = "專家的訓練假人";
  AMCL["M Dummy"] = "大師的訓練假人";
  AMCL["G Dummy"] = "宗師的訓練假人";
  AMCL["H Dummy"] = "英雄訓練假人";
  -- Weapons
  AMCL["Bows"] = 				"          弓";
  AMCL["Fist Weapons"] = 		"          拳套";
  AMCL["Staves"] = 				"          法杖";
  AMCL["Thrown"] = 				"          投擲武器";
  AMCL["Daggers"] = 			"          匕首";
  AMCL["Crossbow"] = 			"          弩";
  AMCL["Guns"] = 				"          槍械";
  AMCL["Polearms"] = 			"          長柄武器";
  AMCL["One-Handed Maces"] = 	"          單手錘";
  AMCL["Two-Handed Maces"] = 	"          雙手錘";
  AMCL["Two-Handed Sword"] = 	"          雙手劍";
  AMCL["One-Handed Sword"] = 	"          單手劍";
  AMCL["One-Handed Axes"] = 	"          單手斧";
  AMCL["Two-Handed Axes"] = 	"          雙手斧";
  AMCL["PorStor"] = "暴風城傳送門";
  AMCL["PorIron"] = "鐵爐堡傳送門";
  AMCL["PorDarn"] = "達納蘇斯傳送門";
  AMCL["PorExod"] = "艾克索達傳送門";
  AMCL["PorShat"] = "撒塔斯城傳送門";
  AMCL["PorOrgr"] = "奧格瑪傳送門";
  AMCL["PorUnde"] = "幽暗城傳送門";
  AMCL["PorSilv"] = "銀月城傳送門";
  AMCL["PorThBl"] = "雷霆崖傳送門";
  AMCL["PorBlasted"] = "詛咒之地傳送門";
  
  --NPC Dalaran 達拉然
  --White
  -- Krasus' Landing
  AMCL["Aludane Whitecloud"] = "艾魯丹·白雲 <飛行管理員>";
  AMCL["Hira Snowdawn"] = "席拉·雪晨 <寒冷氣候飛行訓練師>";
  AMCL["Officer Van Rossem"] = "軍官凡·羅森";
  AMCL["Sky-Reaver Klum"] = "空奪者克朗";

  --Orng
  AMCL["Runeweaver Square"] = "織符者廣場";

  AMCL["Entrance to the Sewers"] = "下水道入口";

  AMCL["Magical Menagerie"] = "魔法動物園";
  AMCL["Mei Francis"] = "梅·法蘭西斯 <奇特坐騎>";
  AMCL["Breanni"] = "布芮妮 <寵物供應商>";
  AMCL["Tassia Whisperglen"] = "塔西亞·喃谷 <獸欄管理員>";

  AMCL["Teleport to Violet Stand"] = "傳送至紫羅蘭看臺的水晶";
  AMCL["Archmage Celindra"] = "大法師瑟琳卓 <傳送門訓練師>";
  AMCL["Warcaster Fanoraithe"] = "戰爭施法者法諾瑞司 <法師訓練師>";
  AMCL["Jessa Weaver"] = "潔沙·編織者 <法師訓練師>";

  AMCL["The Hunter's Reach"] = "獵人地帶";
  AMCL["Dagna Flintlock"] = "妲戈娜·燧鎖 <槍械商>";
  AMCL["Jarold Puller"] = "傑洛德·普勒 <特殊彈藥商人>";
  AMCL["Aemara"] = "依瑪拉 <弓箭商>";

  AMCL["Aerith Primrose"] = "依利絲·櫻草 <花卉商>";

  AMCL["The Arsenal Absolute"] = "完全軍械庫";
  AMCL["Bartram Haller"] = "巴特瑞·赫勒 <匕首和拳套武器商>";
  AMCL["Kerta the Bold"] = "英勇的克塔 <斧和長柄武器商>";
  AMCL["Valaden Silverblade"] = "汎拉登·銀刃 <刀劍商>";
  AMCL["Walther Whiteford"] = "華瑟·懷特弗德 <錘商>";

  AMCL["Dalaran Visitor Center"] = "達拉然旅客中心";
  AMCL["Andrew Matthews"] = "安德魯·馬修斯 <公會註冊員>";
  AMCL["Elizabeth Ross"] = "伊莉莎白·羅斯 <外袍商人>";
  AMCL["Archivist Betha"] = "檔案管理員貝薩 <城市歷史學家>";

  AMCL["Curiosities & Moore"] = "不只是配件";
  AMCL["Debbi Moore"] = "黛比·摩爾 <飾品和符咒>";
  AMCL["Brammold Deepmine"] = "布朗摩·深礦 <古董和傳家寶>";
  AMCL["Orton Bennet"] = "歐爾頓·班尼特 <副手貨樣>";
  AMCL["Ninsianna"] = "妮西亞娜 <聖物>";

  AMCL["Applebough"] = "蘋果樹枝 <水果商>";
  AMCL["Windle Sparkshine"] = "溫都·炫亮";

  AMCL["Sisters Sorcerous"] = "巫術姊妹";
  AMCL["Hagatha Moorehead"] = "哈嘉薩·莫爾海德 <施法材料商>";
  AMCL["Endora Moorehead"] = "伊朵拉·莫爾海德 <魔法物品>";

  AMCL["The Threads of Fate"] = "命運織坊";
  AMCL["Paldesse"] = "佩德希 <布甲商>";
  AMCL["Karandonna"] = "卡朗多納 <布商>";
  AMCL["Sheddle Glossgleam"] = "薛斗·光爍 <製鞋匠>";
  AMCL["Chameli Banaphash"] = "恰梅里·巴拿費許 <男裝用品商>";
  AMCL["Norvin Alderman"] = "諾文·埃德曼 <披風>";

  AMCL["The Wonderworks"] = "神奇玩具屋";
  AMCL["Jepetto Joybuzz"] = "杰佩托·樂吱 <玩具商>";
  AMCL["Clockwork Assistant"] = "發條助手 <杰佩脫的夥伴>";

  AMCL["The Legerdemain Lounge"] = "戲法旅舍";
  AMCL["Amisi Azuregaze"] = "阿咪希·蒼凝 <旅館老闆>";
  AMCL["Arille Azuregaze"] = "艾立爾·蒼凝 <酒保>";
  AMCL["Sandra Bartan"] = "珊卓拉·巴爾坦 <酒吧女服務員>";
  AMCL["Afsaneh Asrar"] = "艾芙桑奈·亞斯拉 <旅館老闆助理>";

  AMCL["Kizi Copperclip"] = "奇集·銅鉗 <美容師>";

  AMCL["One More Glass"] = "勸君更進一杯酒";
  AMCL["Fialla Sweetberry"] = "菲亞拉·甜莓 <食物和飲料商人>";
  AMCL["Christi Stockton"] = "克利斯蒂·斯托克頓 <酒商>";
  AMCL["Lucian Trias"] = "魯西安·提亞斯 <麵包和起司商>";

  AMCL["Aimee"] = "安咪 <派、餡餅與蛋糕>";

  --Purp
  AMCL["The Eventide"] = "日暮區";

  AMCL["Marcia Chase"] = "瑪西亞·切斯 <宗師級釣魚訓練師和供應商>";
  AMCL["Marcia Chase &"] = "";

  AMCL["Glorious Goods"] = "輝煌商品";
  AMCL["Jack Findle"] = "『赤紅』傑克·芬朵 <貿易供應商>";
  AMCL["Susana Averoy"] = "蘇珊娜·艾維羅 <雜貨商>";

  AMCL["Langrom's Leather & Links"] = "朗格姆的皮甲與鍊甲";
  AMCL["Bragund Brightlink"] = "布拉岡·光鏈 <鎖甲商>";
  AMCL["Valerie Langrom"] = "維勒莉·威樂曼 <皮甲商>";

  AMCL["The Militant Mystic"] = "軍事狂秘術店";
  AMCL["Abra Cadabra"] = "阿布拉·卡達布拉 <魔杖>";
  AMCL["Shen Kang Cheng"] = "沈剛誠 <法杖>";

  --Yell
  AMCL["The Violet Hold"] = "紫羅蘭堡";

  AMCL["Archmage Timear"] = "大法師泰彌亞";
  AMCL["Archmage Lan'dalock"] = "大法師朗達拉克";
  AMCL["Torgo the Younger"] = "小托苟";
  AMCL["The Violet Hold Instance"] = "紫羅蘭堡副本";

  --Blue
  AMCL["The Silver Enclave a"] = "白銀領區 (聯盟)";

  AMCL["A Hero's Welcome"] = "英雄光臨";
  AMCL["Isirami Fairwind"] = "伊斯拉米·順風 <旅館老闆>";
  AMCL["Stefen Cotter"] = "史戴芬·寇特 <酒保>";
  AMCL["Katherine Lee"] = "凱薩琳·李 <宗師級烹飪訓練師>";
  AMCL["Derek Odds"] = "德瑞克·奧茨 <烹飪供應商>";
  AMCL["Inzi Charmlight"] = "英姬·魅光 <酒吧女服務員>";
  AMCL["Marcella Bloom"] = "馬塞拉·布魯姆 <酒吧女服務員>";
  AMCL["Caliel Brightwillow"] = "卡利爾·明柳 <旅館老闆助理>";

  AMCL["The Beer Garden"] = "啤酒廣場";
  AMCL["Laire Brewgold"] = "萊爾·釀金 <啤酒辣妹>";
  AMCL["Coira Longrifle"] = "寇伊拉·長槍 <啤酒辣妹>";

  AMCL["The Silver Enclave"] = "白銀領區";

  AMCL["Arcanist Braedin"] = "秘法師布瑞丁 <冬握湖軍需官>";
  AMCL["Portal to Battlefields"] = "戰場傳送門";

  AMCL["Upstair"] = "階梯";
  AMCL["Arcanist Ivrenne"] = "秘法師伊芙瑞琳 <英雄紋章軍需官>";
  AMCL["Arcanist Ivrenne &"] = "";
  AMCL["Arcanist Adurin"] = "秘法師阿度靈 <勇氣紋章軍需官>";
  AMCL["Arcanist Firael"] = "秘法師菲瑞爾 <征服紋章軍需官>";
  AMCL["Arcanist Firael &"] = "";

  --Gren
  AMCL["The Violet Citadel"] = "紫羅蘭城塞";

  AMCL["Rhonin"] = "羅甯 <祈倫托領袖>";
  AMCL["Vereesa Windrunner"] = "凡蕾莎·風行者 <白銀誓盟遊俠將軍>";
  AMCL["Vereesa Windrunner &"] = "";

  AMCL["Archmage Alvareaux"] = "大法師艾瓦勒斯 <祈倫托軍需官>";

  AMCL["Zidormi"] = "茲多米 <時光守望者>";
  AMCL["Portal Cavern Time"] = "時光之穴傳送門";

  AMCL["Portal Purple Parlor"] = "紫羅蘭頂閣傳送門";

  AMCL["The Purple Parlor"] = "紫羅蘭頂閣";
  AMCL["Archmage John Nicholas"] = "大法師約翰·尼可拉斯 <懲罰者>";
  AMCL["Alfred Copperworth"] = "艾佛列特·銅價 <男管家>";

  --Grey
  AMCL["The Magus Commerce"] = "魔導師貿易區";

  AMCL["Simply Enchanting"] = "	完全附魔商店";
  AMCL["Enchanter Nalthanis"] = "附魔師奈爾桑尼斯 <宗師級附魔訓練師>";
  AMCL["Enchanter Nalthanis &"] = "";
  AMCL["Ildine Sorrowspear"] = "伊爾汀·悲矛 <附魔供應商>";
  AMCL["Vanessa Sellers"] = "凡妮莎·塞勒斯 <裂片貿易商>";

  AMCL["First to Your Aid"] = "急救你優先";
  AMCL["Olisarra the Kind"] = "仁慈的歐莉珊拉 <宗師級急救訓練師>";
  AMCL["Angelique Butler"] = "安潔利奎·巴特勒 <急救供應商>";

  AMCL["Talismanic Textiles"] = "咒符織品店";
  AMCL["Charles Worth"] =  "查理斯·沃斯 - 宗師級裁縫訓練師";
  AMCL["Dominique Stefano"] = "多明尼克·史特凡諾 <裁縫供應商>";
  AMCL["Ainderu Summerleaf"] = "安戴魯·夏葉 <月布裁縫專家>";
  AMCL["Ainderu Summerleaf &"] = "";
  AMCL["Lalla Brightweave"] = "拉菈·亮織 <魔焰裁縫專家>";
  AMCL["Linna Bruder"] = "莉娜·布魯德 <影紋裁縫專家>";

  AMCL["Legendary Leathers"] = "傳奇皮革";
  AMCL["Braeg Stoutbeard"] = "布瑞格·厚鬚 <毛和皮貿易者>";
  AMCL["Diane Cannings"] = "黛安·坎寧斯 <宗師級製皮訓練師>";
  AMCL["Diane Cannings &"] = "";
  AMCL["Derik Marks"] = "戴里克·馬克思 <宗師級剝皮訓練師>";
  AMCL["Ranid Glowergold"] = "拉尼德·怒金 <製皮和剝皮供應商>";
  AMCL["Ranid Glowergold &"] = "";
  AMCL["Manfred Staller"] = "邁弗瑞德·斯托勒 <元素製皮訓練師>";
  AMCL["Manfred Staller &"] = "";
  AMCL["Andellion"] = "安戴里昂 <龍鱗製皮訓練師>";
  AMCL["Namha Moonwater"] = "納姆哈·月水 <部族製皮訓練師>";
  AMCL["Namha Moonwater &"] = "";

  AMCL["Like Clockwork"] = "精準如錶發條舖";
  AMCL["Justin Oshenko"] = "賈斯汀·歐先可 <宗師級工程學訓練師>";
  AMCL["Justin Oshenko &"] = "";
  AMCL["Bryan Landers"] = "布萊恩·蘭德森 <工程學供應商>";
  AMCL["Didi the Wrench"] = "『板手』狄迪 <哥布林工程學訓練師>";
  AMCL["Findle Whistlesteam"] = "芬朵·嘯汽 <地精工程學訓練師>";

  AMCL["All That Glitters Prospecting Co"] = "亮晶晶探勘公司";
  AMCL["Jedidiah Handers"] = "捷帝迪亞·漢德斯 <宗師級採礦訓練師>";
  AMCL["Dorian Fines"] = "多里安·范恩斯 <採礦供應商>";

  AMCL["The Forge of Fate"] = "命運熔爐";

  AMCL["Tanks For Everything"] = "萬物皆可坦";
  AMCL["Alard Schmied"] = "艾拉得·席彌德 <宗師級鍛造訓練師>";
  AMCL["Alard Schmied &"] = "";
  AMCL["Palja Amboss"] = "沛爾嘉·安伯斯 <鍛造供應商>";
  AMCL["Imindril Spearsong"] = "伊敏萃兒·矛歌 <武器鍛造訓練師>";
  AMCL["Orland Schaeffer"] = "奧蘭德·席佛 <護甲鍛造訓練師>";
  AMCL["Dubin Clay"] = "杜賓·克雷 <鎧甲商>";
  AMCL["Griselda Hunderland"] = "格力謝爾達·杭得廉 <鎧甲商>";
  AMCL["Anthony Durain"] = "安東尼·都睿 <盾牌商>";

  AMCL["Dorothy Egan"] = "桃樂西·伊根 <宗師級草藥學訓練師>";
  AMCL["Edward Egan"] = "愛德華·伊根 <草藥學供應商>";

  AMCL["The Scribes Sacellum"] = "雕銘師禮拜堂";
  AMCL["Professor Pallin"] = "帕林教授 <宗師級銘文學訓練師>";
  AMCL["Professor Pallin &"] = "";
  AMCL["Larana Drome"] = "拉蕾娜·德羅姆 <銘文學供應商>";
  AMCL["Jessica Sellers"] = "潔西卡·塞勒斯 <墨水商人>";
  AMCL["Theresa Wolf"] = "瑟利莎·沃夫 <博學大師>";

  --_Red
  AMCL["Sunreaver's Sanctuary"] = "奪日者聖堂 (部落)";

  AMCL["Horde Warbringer"] = "部落戰爭使者";
  AMCL["High Arcanist Savor"] = "高階秘法師塞佛";

  AMCL["Magister Surdiel"] = "博學者瑟迪爾 <冬握湖軍需官>";
  AMCL["Eye of the Storm Portal"] = "暴風之眼傳送門";
  AMCL["Arathi Basin Portal"] = "阿拉希盆地傳送門";

  AMCL["Strand of the Ancients Portal"] = "遠祖灘頭傳送門";
  AMCL["Alterac Valley Portal"] = "奧特蘭克山谷傳送門";
  AMCL["Warsong Gulch Portal"] = "戰歌峽谷傳送門";

  AMCL["Magister Sarien"] = "博學者薩瑞安 <征服紋章軍需官>";
  AMCL["Magister Sarien &"] = "";
  AMCL["Magister Brasael"] = "博學者巴塞爾 <勇氣紋章軍需官>";
  AMCL["Magistrix Lambriesse"] = "博學者蘭布莉斯 <英雄紋章軍需官>";
  AMCL["Magistrix Lambriesse &"] = "";

  AMCL["The Filthy Animal"] = "下流畜生酒店";
  AMCL["Uda the Beast"] = "『野獸』烏達 <旅館老闆>";
  AMCL["Kyunghee"] = "凱攸熙 <投擲飛斧>";
  AMCL["Mato"] = "瑪托 <食物和飲料>";
  AMCL["Hamaka"] = "哈瑪卡 <酒保>";
  AMCL["Umbiwa"] = "昂比瓦 <酒吧女服務員>";
  AMCL["Mimbihi"] = "敏比西 <酒吧女服務員>";
  AMCL["Awilo Lon'gomba"] = "阿維羅·隆貢巴 <宗師級烹飪訓練師>";
  AMCL["Awilo Lon'gomba &"] = "";
  AMCL["Misensi"] = "米森希 <烹飪供應商>";
  AMCL["Abohba"] = "艾波芭 <旅館老闆助理>";


  --NPC Dalaran Sewers
  --White
  AMCL["D Sew"] = "達拉然下水道";

  AMCL["Entrance"] = "下水道入口";

  AMCL["The Black Market"] = "黑市";
  AMCL["Hexil Garrot"] = "海希爾·加洛特 <商用工具>";
  AMCL["Pazik The Pick"] = "『鎖撬』帕茲克·撬鎖 <鎖匠>";
  AMCL["Scout Nisstina"] = "斥候妮絲蒂娜 <三指強盜>";
  AMCL["Alchemist Cinesra"] = "鍊金師席尼斯拉 <毒藥商>";
  AMCL["Darahir"] = "達拉喜爾 <施法材料和魔法物品>";

  AMCL["Circle of Wills"] = "意志之環";
  AMCL["Blazik Fireclaw"] = "布雷齊克·火爪 <飲水商>";
  AMCL["Nargle Lashcord"] = "納高·鞭索 <老練競技場商人>";
  AMCL["Xazi Smolderpipe"] = "札奇·燻管 <競技場商人>";
  AMCL["Zom Bocom"] = "扎姆·巴康 <見習競技場商人>";
  AMCL["Shifty Vickers"] = "詭詐的維克斯";

  AMCL["Baroness Llana"] = "『女爵』拉娜- 競技場編制者";
  AMCL["Schembari Shearbolt"] = "『塞爾大叔』史金巴利·斷栓 <競技場戰場軍官>";
  AMCL["Schembari Shearbolt &"] = "";

  AMCL["Rickard Rustbolt"] = "『技巧』理查·鏽栓 <競技場戰場軍官>";

  AMCL["Sarah Brady"] = "薩拉·布萊迪 <酒商>";
  AMCL["Minzi Minx"] = "『輕佻』敏姬 <競技場戰場軍官>";

  AMCL["Nixi Fireclaw"] = "尼基·火爪 <飲水商>";

  AMCL["Kanika Goldwell"] = "卡尼塔·金井 <競技場編制者>";
  AMCL["Ramik Slamwrench"] = "拉米克·猛擰 <競技場戰場軍官>";

  AMCL["Danik Blackshaft"] = "精悍的達尼克·黑柄 <競技場戰場軍官>";

  AMCL["Cantrips & Crows"] = "咒語與烏鴉";
  AMCL["Ajay Green"] = "雅杰·格林 <旅館老闆>";
  AMCL["Narisa Redgold"] = "娜莉莎·紅金 <酒吧女服務員>";

  AMCL["Binzik Goldbook"] = "賓奇克·金卷 <銀行職員>";

  AMCL["Angelo Pescatore"] = "安傑羅·佩斯卡多 <釣魚供應商>";

  AMCL["Rin Duoctane"] = "倫·杜克坦";

  AMCL["Sewer Pipe"] = "下水道出口管道 (需要飛行坐騎進出)";
  AMCL["Add On"] = "";

  AMCL["Washed-up Mage"] = "疲倦的法師";


  --NPC Darnassus  達納蘇斯
  --White  
  AMCL["Warrior's Terrace"] = "戰士區";
   
  AMCL["Mydrannul"] = "邁德蘭努爾 <雜貨商>";
  AMCL["Shylenai"] = "夏琳奈爾 <貓頭鷹訓練師>";
  AMCL["Fyrenna"] = "菲琳娜 <食物和飲料商人>";
  AMCL["Ancient of War"] = "戰爭古樹";
   
  AMCL["Sildanair"] = "希達奈爾 <戰士訓練師>";
  AMCL["Thyn'tel"] = "塞恩提爾·刃紋";
   
  AMCL["Elanaria"] = "艾蘭娜瑞";
  AMCL["Arias'ta"] = "阿雷亞斯塔·刃歌 <戰士訓練師>";
  AMCL["Darnath"] = "達納斯·刃歌 <戰士訓練師>";
  AMCL["Brogun"] = "布洛岡·石盾 <奧特蘭克山谷戰場軍官>";
  AMCL["Enlae"] = "尹壘 <暴風之眼戰場軍官>";
  AMCL["Aethalas"] = "艾薩拉斯·克羅維爾 <戰歌峽谷戰場軍官>";
  AMCL["Fima"] = "五指費瑪 <競技場戰場軍官>";
  AMCL["Keras"] = "克拉斯·狼心 <阿拉希盆地戰場軍官>";
  AMCL["Nivara"] = "尼瓦拉·刃舞 <遠祖灘頭戰場軍官>";
  AMCL["Nivara &"] = "";
 
  AMCL["Ariyell"] = "阿瑞耶爾·天影 <武器商>";
  AMCL["Mathiel"] = "瑪希爾";
  AMCL["Cylania"] = "塞蘭妮亞 <夜精靈護甲商>";
  AMCL["Ilyenia"] = "伊琳尼雅·月火 <武器大師>";
  
  --Purp
  AMCL["Tradesmen's Terrace"] = "貿易區";
   
  AMCL["General Goods & Bags"] = "雜貨與背包";
  AMCL["Ellandrieth"] = "艾蘭蒂斯 <雜貨商>";
  AMCL["Yldan"] = "伊爾丹 <背包商人>";
   
  AMCL["Weapons"] = "武器";
  AMCL["Glorandiir"] = "格羅拉迪爾 <斧商>";
  AMCL["Merelyssa"] = "米利希亞 <劍刃商人>";
  AMCL["Mythidan"] = "邁希迪安 <錘和法杖商人>";
  AMCL["Kieran"] = "基爾蘭 <武器商>";
   
  AMCL["Fletcher & Thrown Weapons"] = "弓箭與投擲武器";
  AMCL["Landria"] = "蘭德瑞亞 <弓箭商人>";
  AMCL["Turian"] = "圖里安 <投擲武器商人>";
   
  AMCL["CAHW"] = "布甲與雙手武器";
  AMCL["Vinasia"] = "溫娜希雅 <布甲商>";
  AMCL["Ealyshia D"] = "伊林希亞·露珠 <雙手武器商人>";
  AMCL["Ealyshia D &"] = "";
 
  AMCL["Leather Armor"] = "皮甲";
  AMCL["Cyridan"] = "塞瑞丹 <皮甲商>";
   
  AMCL["Mail Armor & Shields"] = "鎖甲與盾牌";
  AMCL["Melea"] = "梅爾利恩 <鎖甲商>";
  AMCL["Caynrus"] = "坎因魯斯 <盾牌商>";
   
  AMCL["Jareth"] = "加雷斯·深林";
   
  AMCL["Treshala"] = "塔莎拉·靜水";
   
  AMCL["Sentinel's Bunkhouse"] = "哨兵營地";
   
  AMCL["Staff & Robe"] = "法杖與長袍";
  AMCL["Andrus"] = "安德魯斯 <法杖商>";
  AMCL["Anadyia"] = "安達迪雅 <長袍商>";

  AMCL["Jaeana"] = "加伊娜 <肉商> (在武器與弓箭區域徘徊)";
  AMCL["Jaeana&"] = "";

  --Yell
  AMCL["Craftsmen's Terrace"] = "工匠區";

  AMCL["Guild"] = "公會";
  AMCL["Lysheana"] = "琳沙娜 <公會註冊員>";
  AMCL["Shalumon"] = "沙魯蒙 <外袍商人>";
  AMCL["Ellaercia"] = "艾拉希亞 <公會外袍設計師>";

  AMCL["Saelienne"] = "旅店老闆塞琳尼";

  AMCL["Tailoring &"] = "裁縫與製皮";
  AMCL["Me'lynn"] = "邁里恩 <裁縫訓練師>";
  AMCL["Elynna"] = "愛琳娜 <裁縫供應商>";
  AMCL["Raedon D"] = "萊頓·暗影  <聯盟布匹軍需官>";
  AMCL["Raedon D &"] = "";
  AMCL["Telonis"] = "泰龍尼斯 <製皮訓練師>";
  AMCL["Saenorion"] = "塞諾里奧 <製皮供應商>";
  AMCL["Eladriel"] = "艾拉迪爾 <剝皮訓練師>";
  AMCL["Lotherias"] = "洛瑟里亞斯";

  AMCL["General"] = "雜貨店";
  AMCL["Mythrin'dir"] = "邁斯林迪爾 <貿易供應商>";

  AMCL["Enchanting"] = "附魔與銘文";
  AMCL["Taladan"] = "塔蘭丹 <附魔訓練師>";
  AMCL["Vaean"] = "維安 <附魔供應商>";
  AMCL["Feyden D"] = "菲丹·達金 <銘文學訓練師>";
  AMCL["Illianna M"] = "伊利安娜·月繕 <銘文學供應商>";

  AMCL["Alchemy"] = "煉金與銀色黎明";
  AMCL["Ainethil"] = "安尼希爾 <鍊金術訓練師>";
  AMCL["Ulthir"] = "尤希爾 <鍊金術供應商>";
  AMCL["Argent Guard Manados"] = "銀色黎明守衛瑪納杜斯 <銀色黎明>";
  AMCL["D Selgorm"] = "哨兵塞爾高姆 <銀色黎明>";
  AMCL["D Shaedlass"] = "哨兵山德拉斯 <銀色黎明>";

  AMCL["Cooking"] = "烹飪";
  AMCL["Alegorn"] = "阿雷貢 <烹飪訓練師>";
  AMCL["Fyldan"] = "菲爾丹 <烹飪供應商>";

  AMCL["First Aid"] = "急救";
  AMCL["Dannelor"] = "丹納羅爾 <急救訓練師>";

  --Blue
  AMCL["Cenarion Enclave"] = "塞納里奧區";

  AMCL["Tunnel R Trainer"] = "往盜賊訓練師通道";

  AMCL["Food & Drink"] = "食物和飲料";
  AMCL["Dendrythis"] = "德蒂希斯 <食物和飲料商人>";

  AMCL["Rellian G"] = "雷利亞·綠樹";

  AMCL["Mounts"] = "坐騎";
  AMCL["Jartsam"] = "賈薩姆 <騎術訓練師>";
  AMCL["Lelanai"] = "萊蘭奈 <馴豹人>";

  AMCL["Hunter"] = "獵人訓練師";
  AMCL["Alassin"] = "阿拉辛 <獸欄管理員>";
  AMCL["Jocaste"] = "祖卡斯特 <獵人訓練師>";
  AMCL["Corand"] = "科蘭德";
  AMCL["Jeen'ra N"] = "吉恩拉 <獵人訓練師>";
  AMCL["Dorion"] = "多利安 <獵人訓練師>";
  AMCL["Silvaria"] = "西爾瓦莉雅 <寵物訓練師>";

  AMCL["Druid"] = "德魯伊訓練師";
  AMCL["Denatharion"] = "德納薩里安 <德魯伊訓練師>";
  AMCL["Fylerian N"] = "菲勒里亞·夜翼 <德魯伊訓練師>";
  AMCL["Cyroen"] = "塞羅恩 <施法材料>";
  AMCL["Mathrengyl B"] = "瑪斯雷·馭熊者 <德魯伊訓練師>";
  AMCL["Fandral S"] = "大德魯伊范達爾·鹿盔";

  AMCL["Poisons"] = "毒藥商";
  AMCL["Kyrai"] = "凱爾萊 <毒藥供應商>";
  AMCL["Faelyssa"] = "菲琳薩";

  AMCL["Rogue"] = "盜賊訓練師";
  AMCL["Syurna"] = "塞尤娜 <盜賊訓練師>";
  AMCL["Anishar"] = "安妮莎爾 <盜賊訓練師>";
  AMCL["Erion S"] = "艾里安·影語 <盜賊訓練師>";

  --Gren
  AMCL["The Temple Gardens"] = "神殿花園";

  AMCL["Portal to Rut'theran"] = "魯瑟蘭村傳送門";

  AMCL["O Lunalight"] = "軍官魯娜萊 <達納蘇斯表揚處>";

  AMCL["Sister Aquinne"] = "艾奎恩妮修女 <低階女祭司>";

  AMCL["Fishing"] = "釣魚";
  AMCL["Astaia"] = "阿斯坦婭 <釣魚訓練師>";
  AMCL["Voloren"] = "沃洛倫 <釣魚供應商>";
  AMCL["Talaelar"] = "塔萊拉爾 <魚商>";

  AMCL["Herbalism"] = "草藥學訓練師";
  AMCL["Firodren M"] = "菲羅迪恩·喚月 <草藥學訓練師>";
  AMCL["Chardryn"] = "查德瑞恩 <草藥學供應商>";

  AMCL["Greywhisker"] = "首席考古學家杜瑟·灰鬚 <探險者協會>";
  AMCL["Greywhisker &"] = "";

  AMCL["Alaindia"] = "奧蘭蒂亞 <施法材料>";
  AMCL["Alaindia&"] = "          (在四個固定點間輪流停留)";
  AMCL["Alaindia&1"] = "";

  --Cyan
  AMCL["Temple Moon"] = "月神殿";

  AMCL["Main Floor"] = "一樓";
  AMCL["Jandria"] = "賈德莉亞 <牧師訓練師>";
  AMCL["Lariia"] = "拉瑞亞 <牧師訓練師>";
  AMCL["Elissa D"] = "埃麗莎·仲馬 <傳送門訓練師>";
  AMCL["Dalia S"] = "哨兵達莉亞·日刃";

  AMCL["Balconey"] = "露台 (二樓)";
  AMCL["P A'moora"] = "女祭司艾茉拉";

  AMCL["Gracina S"] = "格拉希娜·靈風";

  AMCL["AstariiS"] = "阿斯塔利·逐星 <牧師訓練師>";
  AMCL["PAlathea"] = "女祭司阿蘭希雅 <牧師訓練師>";
  AMCL["TyrandeW"] = "泰蘭妲·語風 <伊露恩的高階女祭司>";
  AMCL["Valustraa"] = "大使·瓦魯斯卓";


  --NPC Exodar
  --White
  AMCL["Outside"] = "前門入口外";
  AMCL["Entrance Ex"] = "出入口";

  AMCL["Stephanos"] = "史丹樊那斯 <角鷹獸管理員>";

  AMCL["Torallius"] = "『獸群管理者』托拉利斯 <伊萊克飼者>";
  AMCL["Aalun"] = "阿露恩 <騎術訓練師>";

  --Gren
  AMCL["Seat of the Naaru"] = "那魯之座";

  AMCL["Caregiver B"] = "照顧者布利尤 <旅館老闆>";
  AMCL["Arthaid"] = "阿斯艾德 <獸欄管理員>";
  AMCL["Miglik B"] = "米格萊克·布拉特斯托姆 <競技場戰場軍官>";

  AMCL["O Khaluun"] = "軍官卡盧恩 <艾克索達表揚處>";

  AMCL["Mumman"] = "慕曼 <廚師>";
  AMCL["Phea"] = "菲亞 <烹飪供應商>";
  AMCL["CookP"] = "燉肉煮鍋";

  AMCL["Onnis"] = "歐尼斯 <雜貨商>";
  AMCL["Cuzi"] = "庫奇 <背包商人>";

  AMCL["Bran'daan"] = "信使布拉登";

  AMCL["Nurguni"] = "魯古尼 <商人>";

  AMCL["O'ros"] = "歐蘿絲 (斜坡下)";

  --Red
  AMCL["Traders Tier"] = "商人樓層";

  AMCL["Tailoring"] = "裁縫";
  AMCL["Refik"] = "瑞費克 <裁縫訓練師>";
  AMCL["Neii"] = "奈伊 <裁縫供應商>";
  AMCL["Dugiru"] = "達葛魯 <聯盟布匹軍需官>";

  AMCL["Leatherworking and Skinning"] = "製皮和剝皮";
  AMCL["Remere"] = "瑞米爾 <剝皮訓練師>";
  AMCL["Akham"] = "艾克漢 <製皮訓練師>";
  AMCL["Haferet"] = "哈弗瑞 <製皮供應商>";

  AMCL["Plate Armor & Shields"] = "鎧甲和盾牌";
  AMCL["Gotaan"] = "葛坦恩 <鎧甲商>";
  AMCL["Treall"] = "崔歐 <盾牌商>";

  AMCL["Bladed Weapons"] = "劍刃武器";
  AMCL["Ven"] = "范恩 <劍刃武器商>";

  AMCL["Blunt Weapons"] = "鈍器";
  AMCL["Ellomin"] = "艾露曼 <錘類武器商>";

  AMCL["Leather & Cloth Armor"] = "皮甲和布甲 (上層)";
  AMCL["Mahri"] = "馬利 <皮甲商>";
  AMCL["Gornii"] = "柯恩尼 <布甲商>";

  AMCL["Mail Armor"] = "鎖甲 (上層)";
  AMCL["Yil"] = "易尤 <鎖甲商>";

  AMCL["Mining and Smithing"] = "採礦和鍛造";
  AMCL["Muaat"] = "莫也特 <採礦訓練師>";
  AMCL["Merran"] = "米瑞 <採礦供應商>";
  AMCL["Miall"] = "米歐 <鍛造訓練師>";
  AMCL["Arras"] = "阿拉斯 <鍛造供應商>";

  AMCL["Engineering"] = "工程";
  AMCL["Ockil"] = "奧克伊歐 <工程學訓練師>";
  AMCL["Feera"] = "菲拉 <工程學供應商>";

  AMCL["Hunters' Sanctum"] = "獵人聖所";
  AMCL["Deremiis"] = "戴爾米斯 <獵人訓練師>";
  AMCL["Vord"] = "奧德 <獵人訓練師>";
  AMCL["Killac"] = "克優萊斯 <獵人訓練師>";
  AMCL["Ganaar"] = "加納 <寵物訓練師>";
  AMCL["Avelii"] = "艾芙琳 <弓箭商>";
  AMCL["Muhaa"] = "姆哈 <槍械商>";

  AMCL["Ring of Arms"] = "武器環";
  AMCL["Fingin"] = "費金 <毒藥供應商>";
  AMCL["Ahonan"] = "阿和南 <戰士訓練師>";
  AMCL["Kazi"] = "卡希 <戰士訓練師>";
  AMCL["Behomat"] = "畢和瑪特 <戰士訓練師>";
  AMCL["Handiir"] = "哈戴爾 <武器大師>";

  AMCL["Guild Master and Tabards"] = "公會註冊員和外袍";
  AMCL["Funaam"] = "范安姆 <公會註冊員>";
  AMCL["Issca"] = "伊斯卡 <外袍商人 >";

  --Purp
  AMCL["The Vault of Lights"] = "聖光地窖";

  AMCL["Hall of the Mystics"] = "神秘大廳";
  AMCL["Bati"] = "巴提 <法師訓練師>";
  AMCL["Harnan"] = "海爾那 <法師訓練師>";
  AMCL["Edirah"] = "艾迪洛 <法師訓練師>";
  AMCL["Lunaraa"] = "路娜瑞 <傳送門訓練師>";
  AMCL["Oss"] = "歐斯 <魔杖商人>";
  AMCL["Musal"] = "慕薩歐 <施法材料和鍊金術供應商>";

  AMCL["Vindicators' Sanctum"] = "復仇者聖所";
  AMCL["Kavaan"] = "卡范恩 <聖騎士訓練師>";
  AMCL["Jol"] = "喬歐 <聖騎士訓練師>";
  AMCL["Baatun"] = "巴特恩 <聖騎士訓練師>";

  AMCL["Alchemy and Herbalism"] = "煉金術和草藥學";
  AMCL["Lucc"] = "路克 <鍊金術訓練師>";
  AMCL["Altaa"] = "艾歐塔 <鍊金術供應商>";
  AMCL["Cemmorhan"] = "希莫爾汗 <草藥學訓練師>";

  AMCL["Tolo"] = "托落 <阿拉希盆地戰場軍官>";

  AMCL["Mahul"] = "瑪胡歐 <奧特蘭克山谷戰場軍官>";
  AMCL["Mitia"] = "米綈雅 <暴風之眼戰場軍官>";

  AMCL["Jihi"] = "吉亥 <戰歌峽谷戰場軍官>";
  AMCL["Buhurda"] = "布赫達 <遠祖灘頭戰場軍官>";

  AMCL["Prophet Velen"] = "預言者費倫";

  AMCL["Anchorites' Sanctum"] = "隱士聖所";
  AMCL["Izmir"] = "伊斯米爾 <牧師訓練師>";
  AMCL["Fallat"] = "法拉特 <牧師訓練師>";
  AMCL["Caedmos"] = "希德摩斯 <牧師訓練師>";

  --White
  AMCL["The Crystal Hall"] = "水晶大廳";

  --AMCL["Enchanting"] = "Enchanting"; -- Duplicated
  AMCL["Nahogg"] = "奈歐格 <附魔訓練師>";
  AMCL["Egomis"] = "伊歐糜斯 <附魔供應商>";
  AMCL["Thoth"] = "索司 <銘文學訓練師>";
  AMCL["Sessoh"] = "塞松 <銘文學供應商>";

  AMCL["Sixx"] = "希克斯 <賣蛾商人>";

  AMCL["Gurrag"] = "葛爾拉克 <薩滿訓練師>";

  AMCL["F Nobundo"] = "先知諾柏多 <薩滿訓練師 (斜坡上)>";
  AMCL["F Dunaer"] = "工頭丹那爾";
  AMCL["Valon"] = "瓦倫";

  AMCL["Sulaa"] = "蘇拉 <薩滿訓練師>";

  --AMCL["Fishing"] = "釣魚";
  AMCL["Erett"] = "伊瑞德 <釣魚訓練師>";
  AMCL["Dekin"] = "迪金 <釣魚供應商>";

  AMCL["Hobahken"] = "赫巴肯 <薩滿訓練師>";

  AMCL["Reagents"] = "施法材料";
  AMCL["Bildine"] = "比爾德恩 <施法材料商>";

  --AMCL["First Aid"] = "急救";
  AMCL["Nus"] = "衲斯 <急救訓練師>";

  AMCL["Jewelcrafting"] = "珠寶設計";
  AMCL["Farii"] = "法芮 <珠寶設計訓練師>";
  AMCL["Arred"] = "阿瑞德 <珠寶設計供應商>";
  AMCL["Padaar"] = "Padaar <見習珠寶設計師>";

  AMCL["Seer Skaltesh"] = "先知史卡帝斯";

  --NPC Ironforge 鐵爐堡
  --White
  AMCL["The Common"] = "The Commons";

  AMCL["Barim"] = "巴瑞姆材料店";
  AMCL["Barim J"] = "巴瑞姆·賈根斯塔德 <施法材料商>";

  AMCL["Stonefire Tavern"] = "石火旅店";
  AMCL["Innkeeper Firebrew"] = "旅店老闆洛雷·火酒";
  AMCL["Gwenna F"] = "吉溫娜·火酒 <酒吧女服務員>";
  AMCL["Larkin T"] = "拉金·雷酒 <每月啤酒俱樂部>";
  AMCL["Brew Vendor"] = "酒商 <每月啤酒俱樂部>";
  AMCL["Sheldonore"] = "砲兵舍爾杜";

  AMCL["Pella B"] = "佩拉·銅刷 <美容師>";

  AMCL["Ironforge Armory"] = "鐵爐堡軍械庫";
  AMCL["Mangorn F"] = "曼高恩·火錘 <重型護甲商人>";
  AMCL["Raena F"] = "萊納·火錘 <Light Armor Merchant>";
  AMCL["Bromiir O"] = "波洛米爾·歐姆森 <重型護甲商人>";

  AMCL["Dinita S"] = "Dinita Stonemantle <Vault Administrator>";
  AMCL["Lieutenant Rot"] = "Lieutenant Rotimer <Stormpike Guard>";
  AMCL["Lieutenant Rot &"] = "          Recruitment Officer (In front of the Bank)";

  AMCL["Steelfury's Weapon Emporium"] = "Steelfury's Weapon Emporium";
  AMCL["Dolman S"] = "Dolman Steelfury <武器商>";
  AMCL["Grenil S"] = "Grenil Steelfury <武器商>";

  AMCL["Fizzlespinner"] = "Fizzlespinner's General Goods";
  AMCL["Fillius F"] = "Fillius Fizzlespinner <貿易供應商>";
  AMCL["Bryllia I"] = "Bryllia Ironbrand <雜貨商>";

  AMCL["Marblesten"] = "Grand Mason Marblesten. Royal Stonecutters";
  AMCL["Marblesten&"] = "          Union";

  AMCL["Ironforge V C"] = "Ironforge Visitor Center";
  AMCL["Jondor S"] = "Jondor Steelbrow <公會註冊員>";
  AMCL["Lyesa S"] = "Lyesa Steelbrow <公會外袍商人>";

  AMCL["Myra T"] = "Myra Tyrngaarde <Bread Vendor (Circles in front>";
  AMCL["Myra T &"] = "          of the Bank and Auction House)";

  --Gren
  AMCL["Mystic Ward"] = "秘法區";

  AMCL["Fighting Wizard"] = "The Fighting Wizard";
  AMCL["Bingus"] = "Bingus <武器商>";
  AMCL["Harick B"] = "Harick Boulderdrum <Wands Merchant>";

  AMCL["Hall of Mysteries"] = "秘法大廳";
  AMCL["Toldren D"] = "Toldren Deepiron <牧師訓練師>";
  AMCL["Braenna F"] = "Braenna Flintcrag <牧師訓練師>";
  AMCL["High Priest Rohan"] = "High Priest Rohan <牧師訓練師>";
  AMCL["Theodrus F"] = "Theodrus Frostbeard <牧師訓練師>";
  AMCL["Bink"] = "Bink <法師訓練師>";
  AMCL["Dink"] = "Dink <法師訓練師>";
  AMCL["Juli S"] = "Juli Stormkettle <法師訓練師>";
  AMCL["Milstaff S"] = "Milstaff Stormeye <傳送門訓練師>";
  AMCL["Brandur I"] = "Brandur Ironhammer <聖騎士訓練師>";
  AMCL["Beldruk D"] = "Beldruk Doombrow <聖騎士訓練師>";
  AMCL["Muiredon B"] = "Muiredon Battleforge";
  AMCL["Valgar H"] = "Valgar Highforge <聖騎士訓練師>";
  AMCL["Nittlebur S"] = "Nittlebur Sparkfizzle <法師訓練師>";
  AMCL["Tiza B"] = "Tiza Battleforge";

  AMCL["Mage Tymor"] = "Mage Tymor";

  AMCL["Talvash Kissel"] = "Talvash del Kissel";

  AMCL["Maeva's"] = "Maeva's Mystical Apparel";
  AMCL["Maeva"] = "Maeva Snowbraid <Robe Merchant>";
  AMCL["Ingrys S"] = "Ingrys Stonebrow <布甲商>";

  AMCL["Longberry's"] = "Longberry's Reagents";
  AMCL["Ginny L"] = "Ginny Longberry <施法材料商>";

  AMCL["Bimble L"] = "Bimble Longberry <Fruit Vendor (Circles around>";
  AMCL["Bimble L&"] = "          the fountain in the Mystic Ward)";

  --Blue
  AMCL["Forlorn Cavern"] = "荒棄的洞穴";

  AMCL["Stoneblades"] = "Stoneblade's";
  AMCL["Hjoldir S"] = "Hjoldir Stoneblade <劍刃商人>";
  AMCL["Binny"] = "Binny Springblade";
  AMCL["Prynne"] = "Prynne";

  AMCL["Traveling Fisherman"] = "Traveling Fisherman";
  AMCL["Grimnur S"] = "Grimnur Stonebrand <釣魚訓練師>";
  AMCL["Tansy P"] = "Tansy Puddlefizz <釣魚供應商>";

  AMCL["Lago B"] = "拉戈·黑鉗";

  AMCL["Thistleheart"] = "Thistleheart <術士訓練師>";
  AMCL["Briarthorn"] = "Briarthorn <術士訓練師>";
  AMCL["Alexander C"] = "Alexander Calder <Warlock  Trainer>";
  AMCL["Gerrig B"] = "Gerrig Bonegrip";

  AMCL["Tynnus V"] = "Tynnus Venomsprout <Shady Dealer>";
  AMCL["Fenthwick"] = "Fenthwick <盜賊訓練師>";
  AMCL["Ormyr F"] = "Ormyr Flinteye <盜賊訓練師>";
  AMCL["Hulfdan B"] = "Hulfdan Blackbeard <盜賊訓練師>";
  AMCL["Durtham G"] = "Durtham Greldon";

  AMCL["Ransin D"] = "Ransin Donner";
  AMCL["Murky"] = "Murky";

  --Purp
  AMCL["Hall of Explorers"] = "探險者大廳";

  AMCL["Roetten S"] = "Roetten Stonehammer <Reclaimers Inc.>";
  AMCL["Magellas"] = "High Explorer Magellas <Explorers' League>";

  AMCL["The Library"] = "The Library";
  AMCL["Thorius"] = "Curator Thorius";

  AMCL["Lyon M"] = "Lyon Mountainheart";

  AMCL["Laris G"] = "Laris Geardawdle";

  AMCL["Krom S"] = "Krom Stoutarm";
  AMCL["Prospector S"] = "Prospector Stormpike";
  AMCL["Mae P"] = "Librarian Mae Paledust <Explorers' League>";
  AMCL["Advisor B"] = "Advisor Belgrum";
  AMCL["Historian K"] = "Historian Karnik";

  --Cyan
  AMCL["Tinker Town"] = "地精區";

  AMCL["Bubulo"] = "Bubulo <聯盟布匹軍需官 (地精)>";

  AMCL["Boom!"] = "Things that go Boom!";
  AMCL["Lomac"] = "Lomac Gearstrip";
  AMCL["Fizzlebang"] = "Fizzlebang Booms <煙火商人>";

  AMCL["Berryfizz's"] = "Berryfizz's Potions and Mixed Drinks";
  AMCL["Tally B"] = "Tally Berryfizz <鍊金術訓練師>";
  AMCL["Soolie B"] = "Soolie Berryfizz <鍊金術供應商>";

  AMCL["Overspark"] = "Tinkmaster Overspark <Gnome>";
  AMCL["Overspark&"] = "          工程學訓練師";
  AMCL["Gnoarn"] = "Gnoarn";

  AMCL["Mekkatorque"] = "High Tinker Mekkatorque <King of the Gnomes>";

  AMCL["Castpipe"] = "Master Mechanic Castpipe";
  AMCL["Klockmort"] = "Klockmort Spannerspan";
  AMCL["Porterhouse"] = "Officer Porterhouse <Gnomeregan>";
  AMCL["Porterhouse&"] = "          Commendations";

  AMCL["Springspindle's"] = "Springspindle's Gadgets";
  AMCL["Fizzlegear"] = "Springspindle Fizzlegear <工程學訓練師>";
  AMCL["Cogspinner"] = "Gearcutter Cogspinner <工程學供應商>";

  AMCL["Deeprun Tram"] = "Deeprun Tram";
  AMCL["Monty"] = "Monty <Rat Extermination Specialist>";
  AMCL["Haggle"] = "Haggle";

  --Orng
  AMCL["The Military Ward"] = "軍事區";

  AMCL["Goldfury's"] = "Goldfury's Hunting Supplies";
  AMCL["BrettaG"] = "Bretta Goldfury <槍械商>";
  AMCL["SkolminG"] = "Skolmin Goldfury <弓箭商>";

  AMCL["Bruuk's Corner"] = "Bruuk's Corner";
  AMCL["BruukB"] = "Bruuk Barleybeard <酒保>";
  AMCL["TisaM"] = "Tisa Martine";
  AMCL["EdrisB"] = "Edris Barleybeard <酒吧女服務員>";

  AMCL["SognarC"] = "Sognar Cliffbeard <Meat Vendor (Does a cirlce>";
  AMCL["SognarC&"] = "          in the Military Ward)";

  AMCL["Hall of Arms"] = "Hall of Arms";
  AMCL["RegnusT"] = "Regnus Thundergranite <獵人訓練師>";
  AMCL["OlminB"] = "Olmin Burningbeard <獵人訓練師>";
  AMCL["UlbrekF"] = "Ulbrek Firehand <獸欄管理員>";
  AMCL["BeliaT"] = "Belia Thundergranite <寵物訓練師>";
  AMCL["DemnulF"] = "Demnul Farmountain";
  AMCL["DaeraB"] = "Daera Brightspear <獵人訓練師>";
  AMCL["KelvS"] = "Kelv Sternhammer <戰士訓練師>";
  AMCL["MaxX"] = "Max Xim <競技場戰場軍官>";
  AMCL["DonalO"] = "Donal Osgood <阿拉希盆地戰場軍官>";
  AMCL["Lylandris"] = "Lylandris <Warsong Gultch Battlemaster>";
  AMCL["MargaB"] = "Marga Bearbrawn <遠祖灘頭戰場軍官>";
  AMCL["MargaB&"] = "          Battlemaster";
  AMCL["GlordrumS"] = "Glordrum Steelbeard <奧特蘭克山谷戰場軍官>";
  AMCL["Kandaar"] = "Kandaar <暴風之眼戰場軍官>";
  AMCL["MurenS"] = "Muren Stormpike";
  AMCL["KelstrumS"] = "Kelstrum Stonebreaker <戰士訓練師>";
  AMCL["BilbanT"] = "Bilban Tosslespanner <戰士訓練師>";
  AMCL["GilbartaG"] = "Gilbarta Grandhammer <Battleground Enthusiast>";
  AMCL["PLongbeard"] = "Pilot Longbeard <Ironforge Siege Brigade>";
  AMCL["XiggsF"] = "Xiggs Fuselighter";

  AMCL["Timberline Arms"] = "Timberline Arms";
  AMCL["BuliwyfS"] = "Buliwyf Stonehand <武器大師>";
  AMCL["BixiW"] = "Bixi Wobblebonk <武器大師>";
  AMCL["KelomirI"] = "Kelomir Ironhand <Maces & Staves>";
  AMCL["ThalgusT"] = "Thalgus Thunderfist <武器商>";
  AMCL["HegnarS"] = "Hegnar Swiftaxe <斧商>";
  AMCL["BrenwynW"] = "Brenwyn Wintersteel <劍刃商人>";

  AMCL["Craghelm's"] = "Craghelm's Plate and Chain";
  AMCL["LissyphusF"] = "Lissyphus Finespindle <Light Armor Merchant>";
  AMCL["DolkinC"] = "Dolkin Craghelm <鎖甲商>";
  AMCL["OlthranC"] = "Olthran Craghelm <重型護甲商人>";

  AMCL["SaraB"] = "Sara Balloo";

  --Yell
  AMCL["The Great Forge"] = "The Great Forge";

  AMCL["Ironforge Physician"] = "Ironforge Physician";
  AMCL["ReynaS"] = "Reyna Stonebranch <草藥學訓練師>";
  AMCL["GwinaS"] = "Gwina Stonebranch <草藥學供應商>";
  AMCL["NissaF"] = "Nissa Firestone <急救訓練師>";

  AMCL["GrythT"] = "Gryth Thurden <Gryphon Master>";

  AMCL["Thistlefuzz Arcanery"] = "Thistlefuzz Arcanery";
  AMCL["EJademoon"] = "Cenarion Emissary Jademoon";
  AMCL["GimbleT"] = "Gimble Thistlefuzz <附魔訓練師>";
  AMCL["TilliT"] = "Tilli Thistlefuzz <附魔供應商>";
  AMCL["EliseB"] = "Elise Brightletter <銘文學訓練師>";
  AMCL["ThargenH"] = "Thargen Heavyquill <銘文學供應商>";

  AMCL["Bronze Kettle"] = "The Bronze Kettle";
  AMCL["DarylR"] = "Daryl Riknussun <烹飪訓練師>";
  AMCL["EmrulR"] = "Emrul Riknussun <烹飪供應商>";
  AMCL["DBcook"] = "(Cooking can be done at any Dwarven Brazier";
  AMCL["DBcook&"] = "           in the city)";

  AMCL["FJavad"] = "Farseer Javad <薩滿訓練師>";

  AMCL["DMMG"] = "Deep Mountain Mining Guild";
  AMCL["GeoframB"] = "Geofram Bouldertoe <採礦訓練師>";
  AMCL["GolnirB"] = "Golnir Bouldertoe <採礦供應商>";

  AMCL["Burbik's"] = "Burbik's Supplies";
  AMCL["BurbikG"] = "Burbik Gearspanner <貿易供應商>";

  AMCL["Stonebrow's"] = "Stonebrow's 布商";
  AMCL["JormundS"] = "Jormund Stonebrow <裁縫訓練師>";
  AMCL["PorannaS"] = "Poranna Snowbraid <裁縫供應商>";
  AMCL["OEric"] = "Outfitter Eric <Speciality 裁縫供應商>";
  AMCL["MistinaS"] = "Mistina Steelshield <聯盟 Cloth>";
  AMCL["MistinaS&"] = "          Quartermaster (Dwarf)";

  AMCL["Finespindle's"] = "Finespindle's Leather Goods";
  AMCL["FimbleF"] = "Fimble Finespindle <製皮訓練師>";
  AMCL["BombusF"] = "Bombus Finespindle <製皮供應商>";
  AMCL["BalthusS"] = "Balthus Stoneflayer <剝皮訓練師>";

  AMCL["OIronbeard"] = "Officer Ironbeard <Ironforge Commendations>";

  AMCL["Sraaz"] = "Sraaz <Pie Vendor (Does a circle around the>";
  AMCL["Sraaz&"] = "          Great Forge)";

  AMCL["High Seat"] = "The High Seat";
  AMCL["KingMagni"] = "King Magni Bronzebeard <Lord of Ironforge>";
  AMCL["SBarinR"] = "Senator Barin Redstone";
  AMCL["RHArchesonus"] = "Royal Historian Archesonus";
  AMCL["Deliana"] = "Deliana";

  AMCL["Great Forge"] = "The Great Forge";
  AMCL["GrumnusS"] = "Grumnus Steelshaper <Armorsmith Trainer>";
  AMCL["IronusC"] = "Ironus Coldsteel <Weaponsmith Trainer>";
  AMCL["ThurgrumD"] = "Thurgrum Deepforge <鍛造供應商>";
  AMCL["BengusD"] = "Bengus Deepforge <鍛造訓練師>";
  AMCL["MyolorS"] = "Myolor Sunderfury";
  AMCL["BrombarH"] = "Brombar Higgleby <The Keymaster>";
  AMCL["TormusD"] = "Tormus Deepforge";
  
  --NPC Orgrimmar 奧格瑪
  --White
  AMCL["Valley Strength"] = "The Valley of Strength";
  
  AMCL["FARokhs"] = "Frostwolf Ambassador Rokhstrom";

  AMCL["Gryshka"] = "Innkeeper Gryshka";
  AMCL["Morag J"] = "Barkeep Morag";
  AMCL["Kozish"] = "Kozish";
  AMCL["Sarok"] = "Sarok";
  AMCL["Doyo'da"] = "Doyo'da";
  AMCL["Zaro"] = "Zaro";
  AMCL["Goma"] = "Goma";
  AMCL["Gamon"] = "Gamon";

  AMCL["SLSA"] = "Soran's Leather & Steel Armory";
  AMCL["Sana"] = "Sana <鎖甲商>";
  AMCL["Morgum"] = "Morgum <皮甲商>";
  AMCL["Ollanus"] = "Ollanus <Light Armor Merchant>";

  AMCL["BImports"] = "Boomstick Imports";
  AMCL["Kaja"] = "Kaja <Guns & Ammunition Vendor>";

  AMCL["SReagents"] = "Spiritfury Reagents";
  AMCL["Horthus"] = "Horthus <施法材料>";

  AMCL["Horde Embassy"] = "部落 Embassy";
  AMCL["Urtrun"] = "Urtrun Clanbringer <Guildmaster>";
  AMCL["Garyl"] = "Garyl <外袍商人 >";

  AMCL["GenStore"] = "Orgrimmar General Store";
  AMCL["Trak'gen"] = "Trak'gen <雜貨商>";
  AMCL["Shimra"] = "Shimra <General Trade Supplies Vendor>";

  AMCL["ShattAxe"] = "The Shattered Axe";
  AMCL["Urtharo"] = "Urtharo <武器商>";

  AMCL["Chophouse"] = "The Chophouse";
  AMCL["Olvia"] = "Olvia <Meat Vendor>";
  AMCL["OrcCook"] = "Orc Cooker (Cooking can be done at a Mighty";
  AMCL["OrcCook&"] = "          Blaze as well)";

  AMCL["SlopeVS"] = "Slope up to Valley of Spirits";

  AMCL["Zankaja"] = "Zankaja";
  AMCL["MBlaze"] = "Mighty Blaze";

  AMCL["Skytower"] = "The Skytower";
  AMCL["Doras"] = "Doras <Wind Rider Master>";
  AMCL["CEhoof"] = "Cenarion Emissary Blackhoof";

  AMCL["HallLegends"] = "Hall of Legends";
  AMCL["SGZarg"] = "Stone Guard Zarg <Weapons Quartermaster>";
  AMCL["DorisV"] = "Doris Volanthius <Veteran Armor Quartermaster>";
  AMCL["BraveSton"] = "Brave Stonehide <Officer Accessories>";
  AMCL["BraveSton&"] = "          Quartermaster";
  AMCL["Zar'shi"] = "Blood Guard Zar'shi <Armor Quartermaster>";
  AMCL["LadyPal"] = "Lady Palanseer <Jewelcrafting Quartermaster>";
  AMCL["SergThunder"] = "Sergeant Thunderhorn <Apprentice Armor>";
  AMCL["SergThunder&"] = "          Quartermaster";
  AMCL["Bork"] = "Raider Bork <Mount Quartermaster>";
  AMCL["Hola'mahi"] = "First Sergeant Hola'mahi <Armor Quartermaster>";
  AMCL["Earthbind"] = "Chieftain Earthbind";
  AMCL["Willington"] = "Advisor Willington";
  AMCL["Teena"] = "Legionnaire Teena <Armor Quartermaster>";
  AMCL["CArial"] = "Councilor Arial";
  AMCL["D'Anastasis"] = "D'Anastasis";
  AMCL["Hini'wana"] = "Blood Guard Hini'wana";
  AMCL["Bek'rah"] = "Grunt Bek'rah";
  AMCL["Korf"] = "Grunt Korf";

  AMCL["SkyStaves"] = "Skyfury Staves";
  AMCL["Ukra'nor"] = "Ukra'nor <法杖商>";

  AMCL["Keldran"] = "Keldran";

  AMCL["Xan'tish"] = "Xan'tish <Snake Vendor (Travels between west>";
  AMCL["Xan'tish&"] = "          entrance to the city and Valley of Spirits)";

  AMCL["Krixx"] = "Krixx <Zepplin Engineer (Travels between the>";
  AMCL["Krixx&"] = "           bonfire near the south city entrance and";
  AMCL["Krixx&1"] = "           Nogg's Machine Shop in The Valley of";
  AMCL["Krixx&2"] = "           Honor)";


  --Purp
  AMCL["ValleySpirits"] = "The Valley of Spirits";

  AMCL["DarkbriarL"] = "Darkbriar Lodge";
  AMCL["Uthel'nay"] = "Uthel'nay <法師訓練師>";
  AMCL["Enyo"] = "Enyo <法師訓練師>";
  AMCL["Deino"] = "Deino <法師訓練師>";
  AMCL["Pephredo"] = "Pephredo <法師訓練師>";
  AMCL["Thuul"] = "Thuul <傳送門訓練師>";
  AMCL["Vehena"] = "Vehena <部落布匹軍需官 (Troll)>";
  AMCL["Ray'ma"] = "Ray'ma <Brew of the Month Club>";
  AMCL["Brew Vendor"] = "Brew Vendor <Brew of the Month Club>";

  AMCL["SpiLodge"] = "Spirit Lodge";
  AMCL["Ur'kyo"] = "Ur'kyo <牧師訓練師>";
  AMCL["X'yera"] = "X'yera <牧師訓練師>";
  AMCL["Zayus"] = "Zayus <High Priest>";

  AMCL["SurvivalF"] = "Survival of the Fittest";
  AMCL["Arnok"] = "Arnok <急救訓練師>";

  --Yell
  AMCL["Drag"] = "The Drag";

  AMCL["Borstan's"] = "Borstan's Firepit (upstairs)";
  AMCL["Borstan"] = "Borstan <Meat Vendor>";
  AMCL["Zamja"] = "Zamja <烹飪訓練師>";
  AMCL["Xen'to"] = "Xen'to <烹飪供應商>";

  AMCL["Jo'mah"] = "Jo'mah <銘文學訓練師 (Upper level)>";
  AMCL["Xantili"] = "Xantili <銘文學供應商>";
  AMCL["Zilzibin"] = "Zilzibin Drumlore";
  AMCL["Sarlek"] = "Sarlek";
  AMCL["Tamaro"] = "Tamaro";

  AMCL["Arboretum"] = "Jandi's Arboretum (Upper level)";
  AMCL["Jandi"] = "Jandi <草藥學訓練師>";
  AMCL["Zeal'aya"] = "Zeal'aya <草藥學供應商>";

  AMCL["Runeworks"] = "Godan's Runeworks";
  AMCL["Jhag"] = "Jhag <附魔訓練師>";
  AMCL["Slope1"] = "Slope to get up or down a level";

  AMCL["Yelmak's"] = "Yelmak's Alchemy & Potions";
  AMCL["Yelmak"] = "Yelmak <鍊金術訓練師>";
  AMCL["Kor'geld"] = "Kor'geld <鍊金術供應商>";
  AMCL["Jes'rimon"] = "Jes'rimon";

  AMCL["Salvage"] = "Droffers & Sons Salvage";
  AMCL["Dran"] = "Dran Droffers";
  AMCL["Malton"] = "Malton Droffers";

  AMCL["KLeatherworks"] = "Kodohide Leatherworks";
  AMCL["Karolek"] = "Karolek <製皮訓練師>";
  AMCL["Tamar"] = "Tamar <製皮供應商>";
  AMCL["Thuwd"] = "Thuwd <剝皮訓練師>";
  AMCL["Handor"] = "Handor <Cloth & 皮甲商>";

  AMCL["ClothG"] = "Magar's Cloth Goods";
  AMCL["Magar"] = "Magar <裁縫訓練師>";
  AMCL["Borya"] = "Borya <裁縫供應商>";
  AMCL["Tor'phan"] = "Tor'phan <Cloth & 皮甲商>";
  AMCL["Rashona"] = "Rashona Straglash <部落布匹軍需官>";
  AMCL["Rashona&"] = "          (Orc)";

  AMCL["Gotri's"] = "Gotri's Travelling Gear (Main level)";
  AMCL["Malton"] = "Gotri <背包商人>";

  AMCL["Krixx2"] = "Krixx <Zepplin Engineer>";
  AMCL["Felika"] = "Felika <Trade Supplies (Travels the drag from>";
  AMCL["Felika&"] = "          the Valley of Wisdom entrance to the";
  AMCL["Felika&1"] = "          Valley of Strength entrance)";

  --Blue
  AMCL["ValleyHonor"] = "The Valley of Honor";

  AMCL["Kiro's"] = "Kiro's Harnesses";
  AMCL["Kiro"] = "Kiro <War Harness Maker>";

  AMCL["OBowyer"] = "Orgrimmar Bowyer";
  AMCL["Jin'sora"] = "Jin'sora <弓箭商>";

  AMCL["HallBrave"] = "Hall of the Brave";
  AMCL["Zel'mak"] = "Zel'mak <戰士訓練師>";
  AMCL["Sorek"] = "Sorek <戰士訓練師>";
  AMCL["Grezz"] = "Grezz Ragefist <戰士訓練師>";
  AMCL["Andrissa"] = "Andrissa Heartspear <Eye of the Storm>";
  AMCL["Andrissa&"] = "          Battlemaster";
  AMCL["Deze"] = "Deze Snowbane <阿拉希盆地戰場軍官>";
  AMCL["Zeggon"] = "Zeggon Botsnap <競技場戰場軍官>";
  AMCL["Brakgul"] = "Brakgul Deathbringer <Warsong Gultch>";
  AMCL["Brakgul&"] = "          Battlemaster";
  AMCL["Ufuda"] = "Ufuda Giant-Slayer <遠祖灘頭戰場軍官>";
  AMCL["Ufuda&"] = "          Battlemaster";
  AMCL["Kartra"] = "Kartra Bloodsnarl <奧特蘭克山谷戰場軍官>";
  AMCL["Muja"] = "Muja <Battleground Enthusiast>";
  AMCL["HordeWar"] = "部落戰爭使者";
  AMCL["BelgR"] = "Belgrom Rockmaul";

  AMCL["Lumak's"] = "魯瑪克漁具店";
  AMCL["Lumak"] = "魯瑪克 <釣魚訓練師>";
  AMCL["Shankys"] = "山吉斯 <釣魚供應商>";
  AMCL["Zas'tysh"] = "沙泰什";

  AMCL["RedMining"] = "Red Canyon Mining";
  AMCL["Makaru"] = "Makaru <採礦訓練師>";
  AMCL["Gorina"] = "Gorina <採礦供應商>";

  AMCL["Orphanage"] = "Orphanage";

  AMCL["Nogg's"] = "Nogg's Machine Shop";
  AMCL["Nogg"] = "Nogg <Apprentice Engineer>";
  AMCL["Roxxik"] = "Roxxik <工程學訓練師>";
  AMCL["Sovik"] = "Sovik <工程學供應商>";
  AMCL["Rilli"] = "Rilli Greasygob";

  AMCL["Shayis"] = "Shayis Steelfury <Armorsmith Trainer>";
  AMCL["Okothos"] = "Okothos Ironrager <Armorsmith>";
  AMCL["Borgosh"] = "Borgosh Corebender <Weaponsmith>";
  AMCL["OxMO"] = "Ox <The Mithril Order>";
  AMCL["Aturk"] = "Aturk the Anvil";
  AMCL["OrokkO"] = "Orokk Omosh";

  AMCL["BurnAnvil"] = "The Burning Anvil";
  AMCL["Saru"] = "Saru Steelfury <鍛造訓練師>";
  AMCL["Sumi"] = "Sumi <鍛造供應商>";
  AMCL["Tumi"] = "Tumi <重型護甲商人>";

  AMCL["ArmsLegend"] = "Arms of Legend";
  AMCL["Kelgruk"] = "Kelgruk Bloodaxe <武器鍛造訓練師 >";
  AMCL["Zendo'"] = "Zendo'jian <Weapon Vendor>";
  AMCL["Shoma"] = "Shoma <Weapon Vendor>";
  AMCL["Galthuk"] = "Galthuk <Two-handed Weapon Merchant>";
  AMCL["Sayoc"] = "Sayoc <武器大師>";
  AMCL["Hanashi"] = "Hanashi <武器大師>";
  AMCL["Koru"] = "Koru <Maces & Staves Vendor>";

  AMCL["RingValor"] = "Ring of Valor";
  AMCL["Molog"] = "War-Hunter Molog <競技場戰場軍官>";
  AMCL["Greela"] = "Greela 'The Grunt' Crankchain <Arena>";
  AMCL["Greela&"] = "          Organizer";

  AMCL["Ogunaro"] = "Ogunaro Wolfrunner <Kennel Master>";
  AMCL["Kildar"] = "Kildar <Wolf Riding Instructor>";
  AMCL["Xon'cha"] = "Xon'cha <獸欄管理員>";

  AMCL["HuntHall"] = "Hunter's Hall";
  AMCL["Sian'dur"] = "Sian'dur <獵人訓練師>";
  AMCL["Xor'juul"] = "Xor'juul <獵人訓練師>";
  AMCL["Ormak"] = "Ormak Grimshot <獵人訓練師>";

  --Gren
  AMCL["CleftShad"] = "The Cleft of Shadow";

  AMCL["DarkEncl"] = "Darkfire Enclave";
  AMCL["Mirket"] = "Mirket <術士訓練師>";
  AMCL["Zevrost"] = "Zevrost <術士訓練師>";
  AMCL["Grol'dar"] = "Grol'dar <術士訓練師>";
  AMCL["Gan'rul"] = "Gan'rul Bloodeye";

  AMCL["ShadReag"] = "Shadowdeep Reagents";
  AMCL["Hagrus"] = "Hagrus <施法材料商>";
  AMCL["Cazul"] = "Cazul";

  AMCL["ISW"] = "Ironwood Staves & Wands";
  AMCL["Muragus"] = "Muragus <法杖商>";
  AMCL["Katis"] = "Katis <Wand Merchant>";

  AMCL["Neeru"] = "Neeru Fireblade";

  AMCL["RCI"] = "Ragefire Chasm Instance";

  AMCL["DEFM"] = "Dark Earth Fungus and Mushrooms";
  AMCL["Kor'jus"] = "Kor'jus <Mushroom Vendor>";

  AMCL["Barbershop"] = "Barbershop";
  AMCL["Berbri"] = "Berbri Coifcurl <美容師>";

  AMCL["SlowBlade"] = "The Slow Blade";
  AMCL["Kareth"] = "Kareth <劍刃商人>";

  AMCL["ShadowBroth"] = "Shadowswift Brotherhood";
  AMCL["Gest"] = "Gest <盜賊訓練師>";
  AMCL["Ormok"] = "Ormok <盜賊訓練師>";
  AMCL["Shenthul"] = "Shenthul <盜賊訓練師>";
  AMCL["Zando'zan"] = "Zando'zan";
  AMCL["Therzok"] = "Therzok";

  AMCL["Rekkul's"] = "Rekkul's Poisons";
  AMCL["Rekkul"] = "Rekkul <Poison Vendor>";
  AMCL["Kor'ghan"] = "Kor'ghan";
  
  AMCL["Drok"] = "Craven Drok (Travels around in the ";
  AMCL["Drok&"] = "                  Cleft of Shadow)";

  --Cyan
  AMCL["ValleyWisdom"] = "The Valley of Wisdom";

  AMCL["STVIF"] = "Stranglethorn Imported Fruits";
  AMCL["Shan'ti"] = "Shan'ti <Fruit Vendor>";

  AMCL["ORedblade"] = "Officer Redblade <Orgrimmar Commendations>";

  AMCL["GromHold"] = "Grommash Hold";
  AMCL["Sian'tsu"] = "Sian'tsu <薩滿訓練師>";
  AMCL["Kardris"] = "Kardris Dreamseeker <薩滿訓練師>";
  AMCL["Sagorne"] = "Sagorne Creststrider <薩滿訓練師>";
  AMCL["Zor"] = "Zor Lonetree <Elder Far Seer>";
  AMCL["Searn"] = "Searn Firewarder";
  AMCL["Eitrigg"] = "Eitrigg";
  AMCL["Vol'jin"] = "Vol'jin";
  AMCL["Mokvar"] = "Mokvar";
  AMCL["Pyreanor"] = "Master Pyreanor <聖騎士訓練師>";
  AMCL["Dawnsinger"] = "Ambassador Dawnsinger";
  AMCL["Thrall"] = "Thrall <Warchief>";

  AMCL["Asoran's"] = "Asoran's Market";
  AMCL["Asoran"] = "Asoran <雜貨商>";
  AMCL["Magenius"] = "Magenius <施法材料>";

  AMCL["Vu'Shalay"] = "Officer Vu'Shalay <Darkspear Commendations>";

  --NPC Shattrath 撒塔斯城
  --White
  AMCL["TerLight"] = "Terrace of Light";

  AMCL["ABank"] = "Bank (Aldor Aligned)";
  AMCL["Endarin"] = "Quartermaster Endarin <Aldor Quartermaster>";
  AMCL["ISaalyn"] = "Inscriber Saalyn <Aldor Inscriptions>";
  AMCL["HaldorC"] = "Haldor the Compulsive <Aldor Apothecary>";

  AMCL["SBank"] = "Bank (Scryer Aligned)";
  AMCL["Enuril"] = "Quartermaster Enuril <Scryer Quartermaster>";
  AMCL["IVeredis"] = "Inscriber Veredis <Scryer Inscriptions>";
  AMCL["Xorith"] = "Arcanist Xorith <Scryer Apothecary>";

  AMCL["LeagArat"] = "League of Arathor Emissary (Arathi Basin)";
  AMCL["Defil"] = "污染者大使 (阿拉希盆地)";

  AMCL["A'dal"] = "A'dal";
  AMCL["Khadgar"] = "Khadgar";
  AMCL["Almonen"] = "Grand Anchorite Almonen";
  AMCL["Tiras'alan"] = "General Tiras'alan";

  AMCL["G'eras"] = "G'eras (Heroic Mode Instance reward vendor ,";
  AMCL["G'eras&"] = "          Upper level)";
  AMCL["Almaador"] = "Almaador <Sha'tari Quartermaster>";
  AMCL["Nasuun"] = "Exarch Nasuun";
  AMCL["Ontuvo"] = "Ontuvo <Jewelcrafting Supplies (Shattered Sun>";
  AMCL["Ontuvo&"] = "          Offensive)";
  AMCL["PorQuel"] = "Portal to Quel'Danas";
  AMCL["Anwehu"] = "Anwehu <Weapons and Armorsmith (Heroic>";
  AMCL["Anwehu&"] = "          Mode Instance reward vendor)";
  AMCL["Mehlisah"] = "Spymistress Mehlisah Highcrown";

  AMCL["Iorioa"] = "Iorioa <傳送門訓練師>";
  AMCL["V'eru"] = "V'eru (Upper level)";

  AMCL["WarVet"] = "Haggard War Veteran";
--  AMCL["HordeWar"] = "部落 Warbringer";

  AMCL["Mordin"] = "Emissary Mordin <Shattered Sun Offensive>";
  AMCL["Torvos"] = "Lord Torvos <Shattered Sun Offensive>";

  AMCL["Nutral"] = "Nutral <Flight Master>";
  AMCL["Yuula"] = "Yuula <Sha'tari Guard Recruitment Officer>";

  AMCL["Haronem"] = "Harbinger Haronem <Shattered Sun Offensive>";
  AMCL["Wafflefry"] = "Whirligig Wafflefry <Gnomish Inventor>";

  AMCL["LiftScry"] = "Lift to Scryer's Tier";

  AMCL["LiftAR"] = "Lift to Aldor Rise";
  
  AMCL["Ezekiel"] = "Ezekiel (Travels clock-wise around The Terrace";
  AMCL["Ezekiel&"] = "         of Light)";

  --Yell
  AMCL["LowCity"] = "Lower City";

  AMCL["DLarry"] = "'Dirty' Larry <Ruffian>";
  AMCL["EMalone"] = "'Epic' Malone <Ruffian>";
  AMCL["Creepjack"] = "'Creepjack' <Ruffian>";

  AMCL["AldBank"] = "Lower entrance to Aldor Bank";

  AMCL["Araac"] = "Araac";

  AMCL["Karokka"] = "Karokka <毒藥供應商>";
  AMCL["Skreah"] = "Skreah <鍊金術供應商> (Down stairs)";
  AMCL["Lorokeem"] = "Lorokeem <Master Alchemy Trainer (Down stairs)>";
  AMCL["Vekax"] = "Vekax (Travels back and forth across bridge)";

  AMCL["Lissaf"] = "Lissaf <劍刃商人>";

  AMCL["RampL"] = "Ramp to Terrace of Light";
  AMCL["Rilak"] = "Rilak the Redeemed";
  AMCL["Adyria"] = "Arcanist Adyria <The Scryers>";
  AMCL["DGrashna"] = "Defender Grashna";

  AMCL["Oloraak"] = "Oloraak <Fish Merchant>";

  AMCL["ShattInf"] = "Shattrath Infirmary";
  AMCL["Sha'nir"] = "Sha'nir <The Aldor>";
  AMCL["Seth"] = "Seth";
  AMCL["Zahlia"] = "Zahlia";
  AMCL["Rokk"] = "The Rokk <Master of Cooking>";
  AMCL["Barth"] = "Barthamus";

  AMCL["ExitTF"] = "Exit to Terokkar Forest";

  AMCL["ABG"] = "聯盟 Brigadier General (聯盟";
  AMCL["ABG&"] = "          Battlemasters)";
  AMCL["Vinvo"] = "維沃·金備 <遠祖灘頭戰場軍官>";
  AMCL["Vinvo&"] = "          Battlemaster";
  AMCL["Haelga"] = "海爾卡·石拳 <奧特蘭克山谷戰場軍官>";
  AMCL["Lylandor"] = "萊蘭朵爾 <戰歌峽谷戰場軍官>";
  AMCL["Iravar"] = "伊瑞瓦爾 <暴風之眼戰場軍官>";
  AMCL["AEternum"] = "亞當·伊特納姆 <阿拉希盆地戰場軍官>";

  AMCL["WorldEndT"] = "世界的盡頭小酒館";
  AMCL["Lathrai"] = "Wind Trader Lathrai";
  AMCL["Shaarubo"] = "Shaarubo <酒保>";
  AMCL["Lonika"] = "Lonika Stillblade <Rogue Academy Proprietor>";
  AMCL["Kylene"] = "Kylene <酒吧女服務員>";
  AMCL["Pilton"] = "Haris Pilton <Socialite>";
  AMCL["Zhareem"] = "Wind Trader Zhareem";
  AMCL["Mah'duun"] = "Nether-Stalker Mah'duun";
  AMCL["Zephyr"] = "Zephyr (Reputation Port NPC to CoT)";
  AMCL["salabim"] = "Sal'salabim";
  AMCL["Raliq"] = "Raliq the Drunk";

  AMCL["Kradu"] = "Kradu Grimblade <Weaponsmith Trainer>";
  AMCL["Zula"] = "Zula Slagfury <Armorsmith Trainer>";

  AMCL["Orph"] = "Orphanage";
  AMCL["Bartlett"] = "Nicole Bartlett <Matron>";

  AMCL["HWB"] = "部落 Warbringer (部落 Battlemasters)";
  AMCL["Jojindi"] = "Jojindi <遠祖灘頭戰場軍官 Battlemaster>";
  AMCL["Montok"] = "Montok Redhands <戰歌峽谷戰場軍官>";
  AMCL["Maka"] = "Wolf-Sister Maka <奧特蘭克山谷戰場軍官>";
  AMCL["Keldor"] = "Keldor the Lost <阿拉希盆地戰場軍官>";
  AMCL["Yula"] = "Yula the Fair <暴風之眼戰場軍官>";
  AMCL["Issca"] = "Issca <外袍商人 >";

  AMCL["Seymour"] = "Seymour <Master 剝皮訓練師>";
  AMCL["Ernie"] = "Ernie Packwell <Trade Goods>";
  AMCL["Cro"] = "Cro Threadstrong <製皮供應商>";
  AMCL["Darmari"] = "Darmari <Master 製皮訓練師>";
  AMCL["Andrion"] = "Andrion Darkspinner <Shadoweave Specialist>";
  AMCL["Gidge"] = "Gidge Spellweaver <Spellfire Specialist>";
  AMCL["Nasmara"] = "Nasmara Moonsong <Mooncloth Specialist>";
  AMCL["Eiin"] = "Eiin <Specialty 裁縫供應商>";
  AMCL["Griftah"] = "Griftah <Amazing Amulets>";
  AMCL["Viggz"] = "Viggz Shinesparked <工程學供應商>";
  AMCL["Fantei"] = "Fantei <施法材料商>";
  AMCL["Aaron"] = "Aaron Hollman <鍛造供應商>";
  AMCL["MRuby"] = "Madame Ruby <附魔供應商>";
  AMCL["Eral"] = "Eral <雜貨商>";
  AMCL["Moser"] = "Muffin Man Moser <Bread Merchant>";
  AMCL["Nakodu"] = "Nakodu <Lower City Quartermaster>";
  AMCL["JackT"] = "Jack Trapper <Cook>";
  AMCL["Saltit"] = "Jim Saltit <烹飪供應商>";
  AMCL["GSmith"] = "Granny Smith <Fruit Seller>";
  AMCL["BTurner"] = "Brendan Turner <Meat Vendor>";
  AMCL["Grok"] = "Grok";
  AMCL["Oven"] = "Clay Oven";
  AMCL["Tobias"] = "Tobias the Filth Gorger";
  AMCL["Gordie"] = "Gordie";

  AMCL["LowerSB"] = "Lower entrance to Scryer Bank";

  AMCL["Browning"] = "Kevin Browning <Coffee Aficionado (Travels>";
  AMCL["Browning&"] = "          from east exit to south east exit)";

  --Red
  AMCL["Scryer's Tier"] = "Scryer's Tier";

  AMCL["Haelthol"] = "旅店老闆海斯索";

  AMCL["Ilthuril"] = "Ilthuril <獸欄管理員>";
  AMCL["Endernor"] = "Trader Endernor <Trade Goods>";
  AMCL["Lisrythe"] = "Lisrythe Bloodwatch <Fence>";
  AMCL["Mahir"] = "Mahir Redstroke <Dagger Vendor>";
  AMCL["Dathris"] = "Dathris Sunstriker";

  AMCL["Kirembri"] = "Kirembri Silvermane <Master Jewelcrafting>";
  AMCL["Kirembri&"] = "          Trainer";
  AMCL["Hanlir"] = "Hanlir <Master Mining Trainer>";
  AMCL["Lanloer"] = "Scribe Lanloer <Master Inscription Trainer>";
  AMCL["Andiala"] = "Enchantress Andiala <Master 附魔訓練師>";

  AMCL["Nalama"] = "Nalama the Merchant <雜貨商>";
  AMCL["Urumir"] = "Urumir Stavebright <Staff Vendor>";

  AMCL["Falris"] = "Magister Falris";
  AMCL["Fyalenn"] = "Magistrix Fyalenn (Accepts Tokens in exchange";
  AMCL["Fyalenn&"] = "          for Scryer Reputation)";

  AMCL["SeerLib"] = "The Seer's Library";
  AMCL["Arodis"] = "Arodis Sunblade <Keeper of Sha'tari Artifacts>";
  AMCL["Veynna"] = "Veynna Dawnstar <Keeper of Sha'tari Heirlooms>";
  AMCL["Volali"] = "Enchantress Volali <附魔訓練師>";
  AMCL["Bardolan"] = "High Enchanter Bardolan <Master Enchanting>";
  AMCL["Bardolan&"] = "          Trainer";
  AMCL["Voren"] = "Voren'thal the Seer";
  AMCL["Lisrythe"] = "Loremaster Skosiris";
  AMCL["Traini"] = "Training for all professions up to Master level";
  AMCL["Traini&"] = "          (Book stacks)";

  AMCL["Mi'irku"] = "Mi'irku Farstep <傳送門訓練師 (Up the outside>";
  AMCL["Mi'irku&"] = "          slope)";
  AMCL["Olodam"] = "Olodam Farhollow";

  AMCL["Alamaro"] = "Vinemaster Alamaro <酒商>";
  AMCL["Amshesha"] = "Amshesha Stilldark <施法材料商>";
  AMCL["Yurial"] = "Yurial Soulwater <附魔供應商>";

  AMCL["Quelama"] = "Quelama Lightblade <魔杖商人>";
  AMCL["Selanam"] = "Selanam the Blade <Sword Vendor>";

  AMCL["Aelthin"] = "Aelthin <Master Alchemy Trainer>";
  AMCL["Alaenra"] = "Botanist Alaenra <Master Herbalism Trainer>";

  AMCL["Delvinar"] = "Archer Delvinar <特殊彈藥商人>";
  AMCL["Daenril"] = "Daenril <Master 製皮訓練師>";
  AMCL["Miralisse"] = "Miralisse <Master 裁縫訓練師>";
  AMCL["Irduil"] = "Irduil <Master 剝皮訓練師>";
  AMCL["Barien"] = "Barien <Master 鍛造訓練師>";
  AMCL["Sinbei"] = "Engineer Sinbei <Master 工程學訓練師>";

  --Blue
  AMCL["ARise"] = "Aldor Rise";

  AMCL["Minalei"] = "Minalei <旅館老闆>";
  AMCL["Garul"] = "Garul <Food and Drink Vendor>";
  AMCL["Oruhe"] = "Oruhe <獸欄管理員>";

  AMCL["Nemiha"] = "Nemiha <Master 珠寶設計訓練師>";
  AMCL["Fono"] = "Fono <Master Mining Trainer>";
  AMCL["Zurii"] = "Zurii <Master 附魔訓練師>";
  AMCL["Lidio"] = "Recorder Lidio <Master Inscription Trainer>";

  AMCL["Caylee"] = "Caylee Dak";

  AMCL["Erothem"] = "Harbinger Erothem";
  AMCL["Adyen"] = "Adyen the Lightwarden";

  AMCL["Hamanar"] = "Hamanar <Master 珠寶設計訓練師>";
  AMCL["Inessera"] = "Inessera <Jewelcrafting Supplies>";
  AMCL["Ahemen"] = "Ahemen <Staff Vendor>";

  AMCL["Dremm"] = "Dremm <Master 剝皮訓練師>";
  AMCL["Aoa"] = "Weaver Aoa <Master 裁縫訓練師>";
  AMCL["Korim"] = "Korim <Master 製皮訓練師>";
  AMCL["Bova"] = "Marksman Bova <Specialty Ammuntion>";
  AMCL["Kanhu"] = "Alchemist Kanhu <Master Alchemy Trainer>";
  AMCL["Jijia"] = "Jijia <Master Herbalism Trainer>";
  AMCL["Onodo"] = "Onodo <Master 鍛造訓練師>";
  AMCL["Mihila"] = "Technician Mihila <Master 工程學訓練師>";

  AMCL["UnenLight"] = "Shrine of Unending Light";
  AMCL["Ishanah"] = "Ishanah <High Priestess of the Aldor>";
  AMCL["Kelara"] = "Kelara <Keeper of Sha'tari Heirlooms>";
  AMCL["Asuur"] = "Asuur <Keeper of Sha'tari Artifacts>";

  AMCL["ENagrand"] = "Exit to Nagrand";
    
  --NPC Silvermoon 銀月城
  --White
  AMCL["Bazaar"] = "商店街";

  AMCL["Wayfar"] = "旅人休憩";
  AMCL["Jovia"] = "旅館老闆喬維亞";
  AMCL["Sylann"] = "賽藍恩 <廚師>";
  AMCL["Quelis"] = "奎利斯 <烹飪供應商>";

  AMCL["SFinery"] = "銀月城華服";
  AMCL["Zyandrel"] = "希雅德 <布甲商>";
  AMCL["Andra"] = "安卓 <布商>";
  AMCL["Rathin"] = "洛辛 <背包商人>";

  AMCL["Bithrus"] = "畢斯拉斯 <煙火商人>";

  AMCL["Keelen's"] = "奇蘭的可靠裁縫";
  AMCL["SorimL"] = "索瑞姆·光歌 <部落布匹軍需官>";
  AMCL["Keelen"] = "奇蘭 <裁縫訓練師>";
  AMCL["Deynna"] = "笛娜 <裁縫供應商>";

  AMCL["Welethelon"] = "威爾薩隆 <錘類武器商>";
  AMCL["Noraelath"] = "諾拉雷斯 <皮甲商>";

  AMCL["BladesbR"] = "洛海恩的刀劍";
  AMCL["Rahein"] = "洛海恩 <劍刃武器商>";
  AMCL["Feledis"] = "費利迪斯 <釜商>";

  AMCL["GeGoods"] = "雜貨商";
  AMCL["Sathren"] = "賽詩倫·藍晨 <雜貨商>";
  AMCL["Zalle"] = "賽爾 <施法材料商>";

  AMCL["SSPMP"] = "銀質盾牌/鎧甲和鎖甲防護";
  AMCL["Winthren"] = "衛斯藍 <盾牌商>";
  AMCL["Tynna"] = "泰娜 <鎧甲商>";
  AMCL["Keeli"] = "淇麗 <鎖甲商>";

  AMCL["Parnis"] = "巴尼斯 <商人>";

  --Purp
  AMCL["WElders"] = "長者步道";

  AMCL["Harene"] = "海若妮·大地行者 <德魯伊訓練師>";

  AMCL["Velaani's"] = "瓦拉尼的秘法物品";
  AMCL["Velanni"] = "維菈尼 <施法材料和鍊金術供應商>";
  AMCL["Zathanna"] = "賽斯安娜 <魔杖商人>";

  AMCL["CGate"] = "牧羊人之門";

  AMCL["SilRegistry"] = "銀月登記簿";
  AMCL["Tandrine"] = "泰德林 <公會註冊員>";
  AMCL["Kredis"] = "奎戴斯 <外袍商人>";

  AMCL["Lynalis"] = "萊娜利斯 <製皮訓練師>";
  AMCL["Zaralda"] = "莎拉達 <製皮供應商>";
  AMCL["Tyn"] = "帝恩 <剝皮訓練師>";

  AMCL["Drathen"] = "崔森 <釣魚訓練師>";
  AMCL["Olirea"] = "歐莉蕊 <釣魚供應商>";
  AMCL["Alestus"] = "艾瑞斯塔 <急救訓練師>";

  --Gren
  AMCL["RoyEx"] = "皇家交易所";

  AMCL["SCI"] = "銀月城旅店";
  AMCL["Velandra"] = "旅店老闆費蘭卓";
  AMCL["Suntouched"] = "植物大師·日觸 <酒和烈酒商人>";
  AMCL["BKAdept"] = "血騎士大師";
  AMCL["Stillb"] = "血騎士靜刃";

  AMCL["Kalinda"] = "卡琳達 <珠寶設計訓練師>";
  AMCL["Gelanthis"] = "吉藍迪斯 <珠寶設計供應商>";
  AMCL["Amin"] = "艾銘 <見習珠寶設計師>";

  --Red
  AMCL["FarSquare"] = "遠行者廣場";

  AMCL["Celana"] = "賽蓮娜 <弓箭商>";
  AMCL["Matha"] = "麥薩隆 <槍械商>";

  AMCL["Osselan"] = "奧斯藍 <聖騎士訓練師>";
  AMCL["Ithelis"] = "伊德利斯 <聖騎士訓練師>";
  AMCL["CBachi"] = "貝戚勇士 <聖騎士訓練師>";
  AMCL["Bvalor"] = "騎士領主伯洛德瓦勒";
  AMCL["Astalor"] = "博學者阿斯塔樂·血誓 (下層)";
  AMCL["Solanar"] = "索拉納爾·血怒領主 (下層)";
  AMCL["Ileda"] = "伊利達 <武器大師>";

  AMCL["Bipp"] = "畢皮·克利斯特 <競技場戰場軍官>";
  AMCL["Karen"] = "凱倫·文沃思 <阿拉希盆地戰場軍官>";
  AMCL["Alenjon"] = "亞倫強·日刃 <戰鬥大師>";
  AMCL["Irissa"] = "伊芮莎·血星 <戰場軍官>";
  AMCL["Caradess"] = "博學者卡拉德絲 <冬握湖戰鬥法師>";
--  AMCL["Gurak"] = "古拉克 <奧特蘭克山谷戰場軍官>";
--  AMCL["Duyash"] = "殘忍的杜亞司 <暴風之眼戰場軍官>";
--  AMCL["Krukk"] = "克魯克 <戰歌峽谷戰場軍官>";
--  AMCL["Mabrian"] = "瑪布里安·遙晨 <遠祖灘頭戰場軍官>";
--  AMCL["Mabrian&"] = "";

  AMCL["SLowerSec"] = "到下層的階梯";

  AMCL["Shalenn"] = "賽玲 <獸欄管理員>";
  AMCL["Tana"] = "塔娜 <獵人訓練師>";
  AMCL["Oninath"] = "奧尼那斯 <獵人訓練師>";
  AMCL["Zandine"] = "席丹 <獵人訓練師>";
  AMCL["Halthenis"] = "海德尼斯 <寵物訓練師>";

  AMCL["Zelan"] = "塞爾藍 <採礦供應商>";
  AMCL["Belil"] = "貝利爾 <採礦訓練師>";
  AMCL["Bemarrin"] = "貝瑪倫 <鍛造訓練師>";
  AMCL["Eriden"] = "艾利丹 <鍛造供應商>";

  AMCL["Danwe"] = "丹威 <工程學訓練師>";
  AMCL["Yatheon"] = "亞斯恩 <工程學供應商>";
  AMCL["Gloresse"] = "哥羅瑞斯 <見習工程師>";

  --Ltblu
  AMCL["MurRow"] = "兇殺路";

  AMCL["Nerisen"] = "尼瑞森 <盜賊訓練師>";
  AMCL["Elara"] = "艾拉蘿 <盜賊訓練師>";
  AMCL["Zelanis"] = "賽藍尼斯 <盜賊訓練師>";
  AMCL["Darlia"] = "達莉亞 <毒藥供應商>";

  AMCL["Talionia"] = "塔萊妮亞 <術士訓練師>";
  AMCL["Alamma"] = "阿拉瑪 <術士訓練師>";
  AMCL["Zanien"] = "賽尼安 <術士訓練師>";

  --Orng
  AMCL["CourtSun"] = "陽光庭院";

  AMCL["Sedana"] = "希丹娜 <附魔訓練師>";
  AMCL["Lyna"] = "萊娜 <附魔供應商>";
  AMCL["Dolothos"] = "多洛索斯 <見習附魔師>";
  AMCL["Zantasia"] = "贊塔西亞 <銘文學訓練師>";
  AMCL["Lelorian"] = "雷洛里安 <銘文學供應商>";
  AMCL["Camberon"] = "坎伯朗 <鍊金術訓練師>";
  AMCL["Nathera"] = "草藥師納德娜 <草藥學訓練師>";
  AMCL["Melaris"] = "米拉瑞斯 <鍊金術供應商>";
  AMCL["Razia"] = "洛希亞 <見習鍊金師>";


  --Blue
  AMCL["SunSpire"] = "日怒尖塔";

  AMCL["OrbTrans"] = "幽暗城傳送水晶球";

  AMCL["Lor'themar"] = "洛索瑪·塞隆 <奎爾薩拉斯攝政王>";
  AMCL["Brightwing"] = "赫杜倫·亮翼 <遊俠將軍>";
  AMCL["Rommath"] = "大博學者洛摩斯";

  AMCL["Lotheolan"] = "洛斯藍 <牧師訓練師>";
  AMCL["Belestra"] = "拜拉斯卓 <牧師訓練師>";
  AMCL["Aldrae"] = "艾爾崔 <牧師訓練師>";

  AMCL["Zaedana"] = "賽戴娜 <法師訓練師>";
  AMCL["Quithas"] = "奎薩斯 <法師訓練師>";
  AMCL["Inethven"] = "伊奈凡 <法師訓練師>";
  AMCL["Narinth"] = "納利斯 <傳送門訓練師>";
  AMCL["Elrodan"] = "伊羅丹";
  AMCL["Aurosalia"] = "奧羅莎莉雅";
  
  --NPC Stormwind 暴風城
  --Ltblu

  AMCL["Barbershop"] = "美容沙龍";

  AMCL["ValHer"] = "英雄谷";

  AMCL["SBank"] = "暴風城會計室";
  AMCL["Maloof"] = "軍官馬婁爾夫 <暴風城表揚處>";

  AMCL["Jorgen"] = "喬貞";
  AMCL["Umbrua"] = "先知安布洛 <薩滿訓練師>";
  AMCL["GMarcus"] = "馬庫斯·喬納森將軍";
  AMCL["FMAfras"] = "戰場元帥艾法希比";
  AMCL["MMattin"] = "瑪丁雷少校";
  AMCL["Goodman"] = "公告員古德曼 (全城遊走)";

  --White
  AMCL["TDistri"] = "Trade District";

  AMCL["SWVC"] = "Stormwind Visitor Center";
  AMCL["AldwinL"] = "Aldwin Laughlin <公會註冊員>";
  AMCL["RebecL"] = "Rebecca Laughlin <Tabard Designer>";

  AMCL["Trias'C"] = "Trias' Cheese";
  AMCL["ElaineT"] = "Elaine Trias <Mistress of Cheese>";
  AMCL["BenT"] = "Ben Trias <Apprentice of Cheese>";
  AMCL["ETrias"] = "Elling Trias <Master of Cheese>";

  AMCL["Pestle's"] = "Pestle's Apothecary";
  AMCL["RenatG"] = "Renato Gallina";
  AMCL["KyraB"] = "Kyra Boucher <Reagent>";
  AMCL["KeldrB"] = "Keldric Boucher <Alchemy Sypplies & Reagents>";
  AMCL["MPestl"] = "Morgan Pestle";

  AMCL["EveryM"] = "Everyday Merchandise";
  AMCL["StephanT"] = "Stephanie Turner";
  AMCL["EdnaM"] = "Edna Mullby <Trade Supplies>";
  AMCL["TMull"] = "Thurman Mullby <雜貨商>";

  AMCL["Weller's"] = "Weller's Arsenal";
  AMCL["MardaW"] = "Marda Weller <Weapon's Merchant>";
  AMCL["GunthW"] = "Gunther Weller <Weapon's Merchant>";
  AMCL["WooPing"] = "Woo Ping <武器大師>";

  AMCL["LionArm"] = "Lionheart Armory";
  AMCL["CarlaG"] = "Carla Granger <布甲商>";
  AMCL["LaraM"] = "Lara Moore <皮甲商>";
  AMCL["AldrM"] = "Aldric Moore <鎖甲商>";
  AMCL["HarlB"] = "Harlan Bagley";

  AMCL["TGRI"] = "The Gilded Rose Inn";
  AMCL["InnAl"] = "Innkeeper Allison";

  AMCL["EmpQuiv"] = "The Empty Quiver";
  AMCL["FredeS"] = "Frederick Stover <Bow & Arrow Merchant>";
  AMCL["LinaS"] = "Lina Stover <Arrow Merchant>";

  AMCL["JSharp"] = "Jelinek Sharpshear <Barber>";

  AMCL["DungL"] = "Dungar Longdrink <Gryphon Master>";

  AMCL["FragFlow"] = "Fragrant Flowers";
  AMCL["BGump"] = "Bernard Gump <Florist>";
  AMCL["FGump"] = "Felicia Gump <草藥學供應商>";

  AMCL["CanalTail"] = "Canal Tailor & Fit Shop";
  AMCL["LisbS"] = "Lisbeth Schneider <布商>";
  AMCL["RemaS"] = "Rema Schneider";

  AMCL["ArnoL"] = "Arnold Leland <釣魚訓練師>";
  AMCL["CatheL"] = "Catherine Leland <釣魚供應商>";

  AMCL["GallWine"] = "Gallina Winery";
  AMCL["JuliG"] = "Julia Gallina <酒商>";
  AMCL["RobertP"] = "Roberto Pupellyverbos <Meriot Connoisseur>";
  AMCL["SuzetG"] = "Suzetta Gallina";

  --Orng
  AMCL["MageQuart"] = "The Mage Quarter";

  AMCL["Stock"] = "The Stockade";
  AMCL["WThelw"] = "Warden Thelwater";
  AMCL["Stocks"] = "The Stormwind Stockades Instance";

  AMCL["CStanf"] = "Catarina Stanford <銘文學訓練師>";
  AMCL["McCorm"] = "Stanly McCormick <銘文學供應商>";

  AMCL["Mazen"] = "Mazen Mac'Nadir <Academy of Arcane Arts>";
  AMCL["Mazen&"] = "          & Sciences";
  AMCL["AdairG"] = "Adair Gilroy <Librarian>";
  AMCL["ADellis"] = "Acolyte Dellis";

  AMCL["LucanC"] = "Lucan Cordell <附魔訓練師>";
  AMCL["JessaraC"] = "Jessara Cordell <附魔供應商>";

  AMCL["SWStaves"] = "Stormwind Staves";
  AMCL["ArdwynC"] = "Ardwyn Cailen <Wand Merchant>";
  AMCL["AllanH"] = "Allan Hafgan <Staves Merchant>";

  AMCL["Duncan'sT"] = "Duncan's Textiles";
  AMCL["DuncanC"] = "Duncan Cullen <Light Armor Merchant>";
  AMCL["AlexanB"] = "Alexandra Bolero <裁縫供應商>";
  AMCL["GeorgB"] = "Georgio Bolero <裁縫訓練師>";
  AMCL["Clavicus"] = "Clavicus Knavingham. 聯盟 Cloth";
  AMCL["Clavicus&"] = "          Quartermaster";

  AMCL["AlcNee"] = "Alchemy Needs";
  AMCL["Tannysa"] = "Tannysa <草藥學訓練師>";
  AMCL["Lilyss"] = "Lilyssia Nightbreeze <鍊金術訓練師>";
  AMCL["MariaL"] = "Maria Lumere <鍊金術供應商>";
  AMCL["Eldra"] = "Eldraeith <草藥學供應商>";

  AMCL["CollinM"] = "Collin Mauren";

  AMCL["BlueRec"] = "The Blue Recluse";
  AMCL["Joachim"] = "Joachim Brenlow <酒保>";
  AMCL["ConnorR"] = "Connor Rivers <Apprentice Chef>";
  AMCL["SLohan"] = "Steven Lohan";
  AMCL["AStern"] = "Angus Stern <Head Chef>";
  AMCL["CFire"] = "Cooking Fire";

  AMCL["AMalin"] = "Archmage Malin";

  AMCL["WizSan"] = "Wizard's Sanctum (Central Tower)";
  AMCL["HAndromath"] = "High Sorcerer Andromath";
  AMCL["JCannon"] = "Jennea Cannon <法師訓練師>";
  AMCL["Elsharin"] = "Elsharin <法師訓練師>";
  AMCL["MDumas"] = "Maginor Dumas <Master Mage>";
  AMCL["LPurdue"] = "Larimaine Purdue <傳送門訓練師>";

  AMCL["LarsonClo"] = "Larson Clothiers";
  AMCL["WLarson"] = "Wynne Larson <Robe Merchant>";
  AMCL["ELarson"] = "Evan Larson <Hatter>";

  AMCL["EssenComp"] = "Essential Components";
  AMCL["OVaughn"] = "Owen Vaughn <Reagents>";

  AMCL["AncientCu"] = "Ancient Curios";
  AMCL["Yserian"] = "Charys Yserian <Arcane Trinkets Vendor>";

  AMCL["SlaughtLa"] = "The Slaughtered Lamb";
  AMCL["Jarel"] = "Jarel Moonr <酒保>";
  AMCL["Jalane"] = "Jalane Ayrole <Master Shadoweave Tailor>";
  AMCL["Zardeth"] = "Zardeth of the Black Claw";
  AMCL["Sandahl"] = "Sandahl <術士訓練師>";
  AMCL["Gakin"] = "Gakin the Darkbinder";
  AMCL["Cloyce"] = "Demisette Cloyce <術士訓練師>";
  AMCL["Deline"] = "Ursula Deline <術士訓練師>";
  AMCL["Spackle"] = "Spackle Thornberry";

  AMCL["Pyrot"] = "Pyrotechnics";
  AMCL["Singh"] = "Darian Singh <煙火商人>";

  --Cyan
  AMCL["SWPark"] = "The Park";

  AMCL["Folsom"] = "Caretaker Folsom";

  AMCL["Sylista"] = "Sylista <獸欄管理員>";

  AMCL["SWInn"] = "Inn";

  AMCL["Shylamiir"] = "Shylamiir <草藥學訓練師>";

  AMCL["Tavern"] = "Tavern";

  AMCL["ArgosN"] = "Argos Nightwhisper";
  AMCL["Sheldras"] = "Sheldras Moontree <德魯伊訓練師>";
  AMCL["Theridran"] = "Theridran <德魯伊訓練師>";
  AMCL["Maldryn"] = "Maldryn <德魯伊訓練師>";
  AMCL["NaraM"] = "Nara Meideros <牧師訓練師>";

  AMCL["WAP"] = "These three wander around the Park";
  AMCL["Shailiea"] = "Shailiea";
  AMCL["KimberG"] = "Kimberly Grant";
  AMCL["KellyG"] = "Kelly Grant";

  --Red
  AMCL["SWHarbor"] = "The Stormwind Harbor";

  AMCL["Thargold"] = "Thargold Ironwing";
  AMCL["Nayura"] = "Nayura <Dockmaster>";
  AMCL["SAuberd"] = "Ship to Auberdine";
  AMCL["Assurance"] = "The Assurance";
  AMCL["PCarver"] = "Captain Paul Carver";
  AMCL["GCPK"] = "Galley Chief Paul Kubit <食物和飲料商人>";
  AMCL["kurtisP"] = "Engineer kurtis Paddock <Trade Supplies>";
  AMCL["LeeshaT"] = "Leesha Tannerby <Dockmaster>";
  AMCL["SVali"] = "Ship to Valiance Keep";
  AMCL["StevenA"] = "Steven Allen";
  AMCL["SWlight"] = "Stormwind lighthouse";

  --Purp
  AMCL["CathSqua"] = "Cathedral Square";

  AMCL["MorrisL"] = "Morris Lawry";

  AMCL["FThread"] = "The Finest Thread";

  AMCL["JMaces"] = "Just Maces";
  AMCL["GArdus"] = "Gregory Ardus <Staff & Mace Merchant>";

  AMCL["RPlates"] = "Righteous Plates";
  AMCL["AgustM"] = "Agustus Moulaine <鎖甲商>";
  AMCL["TheresM"] = "Theresa Moulaine <長袍商>";

  AMCL["BKrist"] = "Brother Kristoff";

  AMCL["OMNight"] = "Orphan Matron Nightingale";
  AMCL["Shel"] = "Shellene <Orphan Matron>";

  AMCL["CathLig"] = "Cathedral of Light";
  AMCL["BSarno"] = "Brother Sarno";
  AMCL["Rall"] = "Duthorian Rall";
  AMCL["BFarth"] = "Bishop Farthing";
  AMCL["ABBened"] = "Archbishop Benedictus";
  AMCL["Gazin"] = "Gazin Tenorm";
  AMCL["HPLaur"] = "High Priestess Laurena <牧師訓練師>";
  AMCL["JoshPT"] = "Brother Joshua <牧師訓練師>";
  AMCL["Benj"] = "Brother Benjamin <牧師訓練師>";

  AMCL["Grayson"] = "Lord Grayson Shadowbreaker <聖騎士訓練師>";
  AMCL["KathPT"] = "Katherine the Pure <聖騎士訓練師>";
  AMCL["ArthPT"] = "Arthur the Faithful <聖騎士訓練師>";

  AMCL["SFull"] = "Shaina Fuller <急救訓練師>";
  AMCL["BCass"] = "Brother Cassius <施法材料商>";

  AMCL["CathLigD"] = "Cathedral of Light (Downstairs)";
  AMCL["BAnton"] = "Brother Anton <Scarlet Crusade Emissary>";

  AMCL["CityHall"] = "City Hall";
  AMCL["BarosA"] = "Baros Alexston <City Architect>";
  AMCL["RFBathr"] = "Royal Factor Bathrilor <Stormwind Census>";

  AMCL["ArgentD"] = "銀色黎明";

  AMCL["OEmma"] = "Ol' Emma (Travels to the well in the Trade District";
  AMCL["OEmma&"] = "          and back to her house every fifteen minutes)";

  --Yell
  AMCL["DwarvDist"] = "The Dwarven District";

  AMCL["CTAlley"] = "Cut-Throat Alley";

  AMCL["GelmanS"] = "Gelman Stonehand <採礦訓練師>";
  AMCL["BrookeS"] = "Brooke Stonebraid <採礦供應商>";

  AMCL["BorgusS"] = "Borgus Steelhand <Weaponsmith Trainer>";
  AMCL["KathA"] = "Kathrum Axehand <斧商>";
  AMCL["Grimand"] = "Grimand Elmore";

  AMCL["ThulmF"] = "Thulman Flintcrag <Guns Vendor>";

  AMCL["Shoni"] = "Shoni the Shilent";

  AMCL["LilliS"] = "Lilliam Sparkspindle <工程學訓練師>";
  AMCL["BilliC"] = "Billibub Cogspinner <工程學供應商>";

  AMCL["EyeStorm"] = "Eye of the Storm Emissary";

  AMCL["TherumD"] = "Therum Deepforge <鍛造訓練師>";
  AMCL["KaitaD"] = "Kaita Deepforge <鍛造供應商>";
  AMCL["Hank"] = "Hank the Hammer <Mithril Order>";
  AMCL["Furen"] = "Furen Longbeard";
  AMCL["BenikB"] = "Benik Boltshear <鎖匠>";

  AMCL["Jenova"] = "Jenova Stoneshield <獸欄管理員>";
  AMCL["Einris"] = "Einris Brightspear <獵人訓練師>";
  AMCL["Ulfir"] = "Ulfir Ironbeard <獵人訓練師>";
  AMCL["Thorfin"] = "Thorfin Stoneshield <獵人訓練師>";

  AMCL["Morgg"] = "Morgg Stormshot";

  AMCL["Brohann"] = "Brohann Caskbelly <Explorerers' League>";
  AMCL["Wilder"] = "Wilder Thistlenettle";

  --Blue
  AMCL["SWKeep"] = "Stormwind Keep";

  AMCL["PetCham"] = "Petitioner's Chamber";
  AMCL["CRRidge"] = "Count Remington Ridgewell <House of Nobles>";
  AMCL["LBWishock"] = "Lord Baurles K. Wishock <House of Nobles>";
  AMCL["Caledra"] = "Caledra Dawnbreeze";

  AMCL["Varian"] = "King Varian Wrynn <King of Stormwind>";
  AMCL["Anduin"] = "Anduin Wrynn <Prince of Stormwind>";
  AMCL["ETaluun"] = "Emissary Taluun";

  AMCL["Delavey"] = "Bishop Delavey";

  AMCL["WarRoom"] = "War Room";
  AMCL["Jes-Ter"] = "Grand Admiral Jes-Tereth";
  AMCL["MithI"] = "Mithras Ironhill";
  AMCL["Beka"] = "Beka Zipwhistle <競技場戰場軍官>";
  AMCL["ThelmS"] = "Thelman Slatefist <Alterac Valley, 競技場戰場軍官>";
  AMCL["Elfarran"] = "Elfarran <Warsong Gultch Battlemaster>";
  AMCL["Jovil"] = "Jovil <暴風之眼戰場軍官>";
  AMCL["Hotes"] = "Lady Hoteshem <阿拉希盆地戰場軍官>";
  AMCL["Bethany"] = "Bethany Aldire <遠祖灘頭戰場軍官 Battlemaster>";

  AMCL["MSamuel"] = "Major Samuelson <Stormwind City Guard>";

  AMCL["Tyrion"] = "Tyrion";
  AMCL["Alicia"] = "Alicia";

  AMCL["RoyLib"] = "Royal Library";
  AMCL["Milton"] = "Milton Sheaf <Librarian>";
  AMCL["Donyal"] = "Donyal Tovald <Librarian>";
  AMCL["GregorL"] = "Lord Gregor Lescovar";

  AMCL["RoyGal"] = "Royal Gallery";

  --Gren
  AMCL["OldTown"] = "Old Town";

  AMCL["HHW"] = "Heavy Handed Weapons";
  AMCL["GKoen"] = "Gerik Koen <Two-Handed Weapon Merchant>";

  AMCL["Pig&W"] = "Pig & Whistle Tavern";
  AMCL["ReeseL"] = "Reese Langston <Tavernkeeper>";
  AMCL["SRyback"] = "Stephen Ryback <烹飪訓練師>";
  AMCL["ETate"] = "Erika Tate <烹飪供應商>";
  AMCL["KKabon"] = "Kendor Kabonka <Master of Cooking Recipes>";
  AMCL["Bartleby"] = "Bartleby <Drunk>";
  AMCL["DLangs"] = "David Langston";
  AMCL["Aedis"] = "Aedis Brom";
  AMCL["Faral"] = "Christoph Faral";
  AMCL["HarryB"] = "Harry Burlguard";
  AMCL["EllyLang"] = "Elly Langston <酒吧女服務員>";

  AMCL["FDV"] = "The Five Deadly Venoms";
  AMCL["Lenney"] = "Lenney 'Fingers' McCoy (outside)";
  AMCL["Beasley"] = "Ol'Beasley (outside)";
  AMCL["Dashel"] = "Dashel Stonefist (outside)";
  AMCL["MilesS"] = "Miles Sidney <毒藥供應商>";
  AMCL["Wright"] = "Wright Williams";

  AMCL["HonestB"] = "Honest Blades";
  AMCL["Heinrich"] = "Heinrich Stone <劍刃商人>";

  AMCL["Immuni"] = "Limited Immunity";
  AMCL["OStrang"] = "Osric Strang <重型護甲商人>";
  AMCL["WStrang"] = "Wilhelm Strang <鎖甲商>";

  AMCL["Osborne"] = "Osborne the Night Man <盜賊訓練師>";

  AMCL["CHall"] = "Champion's Hall";
  AMCL["O'Neal"] = "Captain O'Neal <Jewelcrafting Quartermaster>";
  AMCL["Jacksp"] = "Lieutenant Jackspring <Weapons Quartermaster>";
  AMCL["Biggin"] = "Master Sergeant Biggins <Officer Accessories>";
  AMCL["Biggin&"] = "          Quartermaster";
  AMCL["Karter"] = "Lieutenant Karter <Mount Vendor>";
  AMCL["Tristia"] = "Lieutenant Tristia <Veteran Armor Quartermaster>";
  AMCL["Skyshad"] = "Sergeant Major Skyshadow";
  AMCL["Ennarth"] = "Harbinger Ennarth";
  AMCL["Gaiman"] = "Archmage Gaiman";
  AMCL["Vaccar"] = "Lieutenant Rachel Vaccar";
  AMCL["Dirgeh"] = "Captain Dirgehammer <Apprentice Armor>";
  AMCL["Dirgeh&"] = "          Quartermaster";
  AMCL["Moonst"] = "Knight-Lieutenant Moonstrike <Armor>";
  AMCL["Moonst&"] = "          Quartermaster";
  AMCL["Clate"] = "Sergeant Major Clate <Armor Quartermaster>";

  AMCL["ComCent"] = "Command Center";
  AMCL["Wood"] = "Master Wood";
  AMCL["IlsaC"] = "Ilsa Corbin <戰士訓練師>";
  AMCL["WuShen"] = "Wu Shen <戰士訓練師>";
  AMCL["AnderG"] = "Ander Germaine <戰士訓練師>";

  AMCL["SI:7"] = "SI:7";
  AMCL["Mathias"] = "Master Mathias Shaw <Leader of SI:7>";
  AMCL["Renzik"] = "Renzik 'The Shiv' <SI:7 Operative>";
  AMCL["Sloan"] = "Sloan McCoy <毒藥供應商>";
  AMCL["Fel"] = "Jasper Fel <Shady Dealer>";
  AMCL["Romano"] = "Lord Tony Romano <盜賊訓練師>";
  AMCL["Mixil"] = "Doc Mixilpixil (downstairs)";

  AMCL["ProHide"] = "The Protective Hide";
  AMCL["STanner"] = "Simon Tanner <製皮訓練師>";
  AMCL["JTanner"] = "Jillian Tanner <製皮供應商>";
  AMCL["Granger"] = "Maris Granger <剝皮訓練師>";
  AMCL["AlyssaG"] = "Alyssa Griffith <背包商人>";
  AMCL["SeomanG"] = "Seoman Griffith <皮甲商>";
  AMCL["Noah"] = "Little Noah";

  AMCL["ThanBoo"] = "Thane's Boots";
  AMCL["Mayda"] = "Mayda Thane <製鞋匠>";

  AMCL["SilverSh"] = "The Silver Shield";
  AMCL["BCross"] = "Bryan Cross <盾牌商>";

  AMCL["JennL"] = "Jenn Langston (Does a circuit around Old Town)";
  AMCL["Nikova"] = "Nikova Raskol (Does a circuit around Old Town";
  AMCL["Nikova&"] = "          stopping at three places for a few";
  AMCL["Nikova&1"] = "          minutes each stop)";
  
  --NPC Thunder Bluff 雷霆崖
  --White
  AMCL["LLevel"] = "The Lower Rise";

  AMCL["Pala"] = "Innkeeper Pala";
  AMCL["Bulrug"] = "Bulrug <獸欄管理員>";
  AMCL["AtHR"] = "Access to The Hunter Rise";

  AMCL["ElevM"] = "Elevator to Mulgore";

  AMCL["TBCI"] = "Thunder Bluff Civic Information";
  AMCL["Thrumn"] = "Thrumn <外袍商人 >";
  AMCL["Krumn"] = "Krumn <公會註冊員>";
  AMCL["Scorch"] = "Scorching Fire";

  AMCL["Kuruk's"] = "Kuruk's Goods";
  AMCL["Kuruk"] = "Kuruk <雜貨商>";
  AMCL["Pakwa"] = "Pakwa <背包商人>";

  AMCL["TGASu"] = "Trade Goods and Supplies";
  AMCL["ShadiM"] = "Shadi Mistrunner <Trade Goods Supplies>";

  AMCL["Jyn"] = "Jyn Stonehoof <Weapons Merchant>";
  AMCL["Ansek"] = "Ansekhwa <武器大師>";

  AMCL["Hewa's"] = "Hewa's Armory";
  AMCL["Hewa"] = "Hewa <布甲商>";
  AMCL["Elki"] = "Elki <鎖甲商>";
  AMCL["Ahanu"] = "Ahanu <Armor Merchant>";

  AMCL["Tal"] = "Tal <Wind Rider Master>";
  AMCL["ALLMLUL"] = "Access to The Lower Rise <The Middle Rise and>";
  AMCL["ALLMLUL&"] = "          The Upper Rise";

  AMCL["derstr"] = "Officer Thunderstrider <Thunder Bluff>";
  AMCL["derstr&"] = "          Commendations";

  AMCL["BandG"] = "Breads and Grains";
  AMCL["Fry"] = "Fry Mistrunner <Bread Vendor>";

  AMCL["Karn's"] = "Karn's Smithy";
  AMCL["Karn"] = "Karn Stonehoof <鍛造訓練師>";
  AMCL["Taur"] = "Taur Stonehoof <鍛造供應商>";
  AMCL["Orm"] = "Orm Stonehoof";

  AMCL["Truths"] = "Sage Truthseeker";
  AMCL["AtSR"] = "Access to The Spirit Rise";

  AMCL["Geology"] = "Stonehoof Geology";
  AMCL["Brek"] = "Brek Stonehoof <採礦訓練師>";
  AMCL["KurmS"] = "Kurm Stonehoof <採礦供應商>";

  AMCL["Eyahn"] = "Eyahn Eagletalon";
  AMCL["Auld"] = "Auld Stonespire";

  AMCL["Chepi"] = "Chepi <施法材料商> (Does a circle around the";
  AMCL["Chepi&"] = "          Lower Rise)";
  AMCL["Windst"] = "Bluff Runner Windstrider (Travels between the";
  AMCL["Windst&"] = "          Lower Rise and the Upper Rise)";

  --Purp
  AMCL["MLevel"] = "The Middle Rise";

  AMCL["Thund"] = "Thunderhorn's Archery";
  AMCL["Kuna"] = "Kuna Thunderhorn <Bowyer & Fletching Goods>";

  AMCL["FaV"] = "Fruits and Vegetables";
  AMCL["Nan"] = "Nan Mistrunner <Fruit Vendor>";

  AMCL["Holis"] = "Holistic Herbalism";
  AMCL["Komin"] = "Komin Winterhoof <草藥學訓練師>";
  AMCL["Nida"] = "Nida Winterhoof <草藥學供應商>";

  AMCL["AtER"] = "Access to The Elder Rise";

  AMCL["CloudB"] = "Cloudeweavers Baskets";
  AMCL["Tand"] = "Tand <Basket Weaver>";

  AMCL["Bena's"] = "Bena's Alcehcmy";
  AMCL["Bena"] = "Bena Winterhoof <鍊金術訓練師>";
  AMCL["Mani"] = "Mani Winterhoof <鍊金術供應商>";

  AMCL["TBEnchanters"] = "Dawnstrider Enchanters";
  AMCL["Teg"] = "Teg Dawnstrider <附魔訓練師>";
  AMCL["Nata"] = "Nata Dawnstrider <附魔供應商>";

  AMCL["TBArmorers"] = "Thunder Bluff Armorers";
  AMCL["Mooranta"] = "Mooranta <剝皮訓練師>";
  AMCL["Veren"] = "Veren Tallstrider";
  AMCL["Tepa"] = "Tepa <裁縫訓練師>";
  AMCL["Mahu"] = "Mahu <Leatherworking & 裁縫供應商>";
  AMCL["Tagain"] = "Tagain <布甲商>";
  AMCL["Fela"] = "Fela <重型護甲商人>";
  AMCL["Grod"] = "Grod <Leather Armour Merchant>";
  AMCL["Una"] = "Una <製皮訓練師>";
  AMCL["Rumstag"] = "Rumstag Proudstrider <部落 Cloth>";
  AMCL["Rumstag&"] = "          Quartermaster";

  --Yell
  AMCL["ULevel"] = "The Upper Rise";

  AMCL["Rainsticks"] = "Rainsticks";
  AMCL["Sunn"] = "Sunn Ragetotem <法杖商>";

  AMCL["KS&R"] = "Kodo Steak & Ribs";
  AMCL["Kaga"] = "Kaga Mistrunner <Meat Vendor>";

  AMCL["WinterT"] = "Winterhoof Totems";
  AMCL["Tah"] = "Tah Winterhoof";

  AMCL["MTB&T"] = "Mountaintop Bait & Tackle";
  AMCL["Kah"] = "Kah Mistrunner <釣魚訓練師>";
  AMCL["Sewa"] = "Sewa Mistrunner <釣魚供應商>";

  AMCL["CairneB"] = "Cairne Bloodhoof <High Chieftain>";

  AMCL["Halpa"] = "Halpa <Prairie Dog Vendor>";

  AMCL["TBFirea"] = "Thunderbluff Firearms";
  AMCL["Hogor"] = "Hogor Thunderhoof <Guns Merchant>";

  AMCL["Raget"] = "Ragetotem Arms";
  AMCL["Delgo"] = "Delgo Ragetotem <斧商>";
  AMCL["Etu"] = "Etu Ragetotem <錘和法杖商人>";
  AMCL["Ohanko"] = "Ohanko <Two Handed Weapon Merchant>";
  AMCL["Kard"] = "Kard Ragetotem <Sword & Dagger Merchant>";

  AMCL["Sura"] = "Sura Wildmane <War Harness Vendor>";

  AMCL["Aska's"] = "Aska's Kitchen";
  AMCL["Aska"] = "Aska Mistrunner <烹飪訓練師>";
  AMCL["Naal"] = "Naal Mistrunner <烹飪供應商>";

  AMCL["Zangen"] = "Zangen Stonehoof";

  --Blue
  AMCL["HuntR"] = "The Hunter Rise";

  AMCL["HHall"] = "Hunter's Hall";
  AMCL["Urek"] = "Urek Thunderhorn <獵人訓練師>";
  AMCL["Kary"] = "Kary Thunderhorn <獵人訓練師>";
  AMCL["Holt"] = "Holt Thunderhorn <獵人訓練師>";
  AMCL["Sark"] = "Sark Ragetotem <戰士訓練師>";
  AMCL["Torm"] = "Torm Ragetotem <戰士訓練師>";
  AMCL["Ker"] = "Ker Ragetotem <戰士訓練師>";

  AMCL["Saern"] = "Saern Priderunner";
  AMCL["Melor"] = "Melor Stonehoof";

  AMCL["Althal"] = "Althallen Brightblade <暴風之眼戰場軍官>";
  AMCL["Martin"] = "Martin Lindsey <阿拉希盆地戰場軍官>";
  AMCL["Fizim"] = "Fizim Blastwrench <競技場戰場軍官>";

  AMCL["Kergul"] = "Kergul Bloodaxe <Warsong Gultch Battlemaster>";
  AMCL["Ufuda"] = "Godo Cloudchewer <遠祖灘頭戰場軍官>";
  AMCL["Ufuda&"] = "          Battlemaster";
  AMCL["Taim"] = "Taim Ragetotem <奧特蘭克山谷戰場軍官>";

  AMCL["Mosarn"] = "Mosarn";

  AMCL["Hesuwa"] = "Hesuwa Thunderhorn <寵物訓練師>";

  --Gren
  AMCL["ERise"] = "The Elder Rise";

  AMCL["HElders"] = "Hall of Elders";
  AMCL["Kym"] = "Kym Wildmane <德魯伊訓練師>";
  AMCL["Turak"] = "Turak Runetotem <德魯伊訓練師>";
  AMCL["Sheal"] = "Sheal Runetotem <德魯伊訓練師>";
  AMCL["Nara"] = "Nara Wildmane";
  AMCL["ADHamuul"] = "Arch Druid Hamuul Runetotem";

  AMCL["Bashana"] = "Bashana Runetotem";

  AMCL["Rahuro"] = "Rahuro <Magatha's Servant>";
  AMCL["Magatha"] = "Magatha Grimtotem <Elder Crone>";
  AMCL["Cor"] = "Cor Grimtotem";
  AMCL["Gorm"] = "Gorm Grimtotem";

  AMCL["ERDrums"] = "Elder Rise Drums";
  AMCL["Sheza"] = "Sheza Wildmane";

  AMCL["Ghede"] = "Ghede";

  --Orng
  AMCL["SRise"] = "The Spirit Rise";

  AMCL["HallofS"] = "Hall of Spirits";
  AMCL["Beram"] = "Beram Skychaser <薩滿訓練師>";
  AMCL["Siln"] = "Siln Skychaser <薩滿訓練師>";
  AMCL["Tigor"] = "Tigor Skychaser <薩滿訓練師>";
  AMCL["Xanis"] = "Xanis Flameweaver";

  AMCL["SHealing"] = "Spiritual Healing";
  AMCL["Pand"] = "Pand Stonebinder <急救訓練師>";

  AMCL["Pawe"] = "Pawe Mistrunner";

  AMCL["PVision"] = "Pools of Vision";
  AMCL["Clarice"] = "Clarice Foster";
  AMCL["Poshken"] = "Poshken Hardbinder <銘文學訓練師>";
  AMCL["Mertle"] = "Mertle Murkpen <銘文學供應商>";
  AMCL["Malakai"] = "Malakai Cross <牧師訓練師>";
  AMCL["Zamah"] = "Apothecary Zamah <Royal Apothecary Society>";
  AMCL["Cranst"] = "Birgitte Cranston <傳送門訓練師>";
  AMCL["Shymm"] = "Archmage Shymm <法師訓練師>";
  AMCL["Welsh"] = "Miles Welsh <牧師訓練師>";
  AMCL["Ursyn"] = "Ursyn Ghull <法師訓練師>";
  AMCL["FCobb"] = "Father Cobb <牧師訓練師>";
  AMCL["Xane"] = "Thurston Xane <法師訓練師>";
  
  --NPC Undercity 幽暗城
  --White
  AMCL["TraQuart"] = "The Trade Quarter";

  AMCL["Aucti"] = " Auctioneer (Just outside of the Trade Quarter";
  AMCL["Aucti&"] = "           in the Canals)";

  AMCL["ERusk"] = "Eleanor Rusk <雜貨商>";
  AMCL["GenGoods"] = " 雜貨商";

  AMCL["FDoan"] = "Felicia Doan <Trade Supplies>";
  AMCL["GCallow"] = "Genavie Callow";

  AMCL["BHandler"] = "Bat Handler";
  AMCL["MGarrett"] = "Michael Garrett <Bat Handler>";
  AMCL["PGarrett"] = "Patrick Garrett";

  AMCL["OGothena"] = "Officer Gothena <Undercity Commendations>";

  AMCL["UWeapons"] = "Weapons";
  AMCL["GWendham"] = "Gordon Wendham <Weapons Merchant>";
  AMCL["LWarren"] = "Louis Warren <Weapons Merchant>";

  AMCL["UHArmor"] = "Heavy Armor";
  AMCL["TWeldon"] = "Timothy Weldon <重型護甲商人>";
  AMCL["WElling"] = "Walter Ellingson <重型護甲商人>";

  AMCL["ULArmor"] = "Light Armor";
  AMCL["LNewcomb"] = "Lauren Newcomb <Light Armor Merchant>";
  AMCL["DBartlett"] = "Daniel Bartlett <Trade Supplies>";

  AMCL["AMaulray"] = "Anya Maulray <獸欄管理員>";
  AMCL["INorman"] = "Innkeeper Norman";

  AMCL["MReagents"] = "Mordan's Reagents";
  AMCL["Mordan"] = "Mordan <施法材料商>";

  AMCL["NaznikS"] = "Naznik Sureshave <Barber>";
  AMCL["ECairn"] = "Edward Cairn <Elder>";

  AMCL["GuildCT"] = "Guild Creation/Tabards";
  AMCL["ROBauhaus"] = "Royal Overseer Bauhaus <Undercity  Census>";
  AMCL["EReming"] = "Edward Remington <公會外袍設計師>";
  AMCL["CDrakul"] = "Christopher Drakul <公會註冊員>";
  AMCL["MPleas"] = "Merill Pleasance <外袍商人 >";

  AMCL["UCook"] = "Cooking";
  AMCL["EBurch"] = "Eunice Burch <烹飪訓練師>";
  AMCL["RBurch"] = "Ronald Burch <烹飪供應商>";
  AMCL["RAndrean"] = "Raleigh Andrean <Ex-Chef>";

  AMCL["TawnyG"] = "Tawny Grisette <Mushroom Vendor (Does a>";
  AMCL["TawnyG&"] = "          circle on the upper area of the Trade";
  AMCL["TawnyG&1"] = "          Quarter)";

  AMCL["JPayson"] = "Jeremiah Payson <Cockroach Vendor>";

  AMCL["Balth"] = "Harbinger Balthazad (Does a circuit in the";
  AMCL["Balth&"] = "          Trade Quarter and in the Canals just";
  AMCL["Balth&1"] = "          outside the Trade Quarter)";

  --Purp
  AMCL["Apothe"] = "The Apothecarium";

  AMCL["dugur"] = "Keeper Bel'dugur";

  AMCL["UHerba"] = "Herbalist";
  AMCL["MAllie"] = "Martha Alliestar <草藥學訓練師>";
  AMCL["KAllie"] = "Katrina Alliestar <草藥學供應商>";

  AMCL["ALuca"] = "Alessandro Luca <Blue Moon Odds and Ends>";

  AMCL["UEnchant"] = "Enchantment";
  AMCL["LCrowe"] = "Lavinia Crowe <附魔訓練師>";
  AMCL["TWebb"] = "Thaddeus Webb <附魔供應商>";

  AMCL["Parq"] = "Parqual Fintallas";

  AMCL["AGant"] = "Andron Gant";

  AMCL["Alchemist"] = "Alchemist";
  AMCL["Algernon"] = "Algernon <鍊金術供應商>";
  AMCL["DMarsh"] = "Doctor Marsh <Apprentice Alchemist>";

  AMCL["DMFelben"] = "Doctor Martin Felben <Apprentice Alchemist>";
  AMCL["MAFaranell"] = "Master Apothecary Faranell <Royal Apothecary>";
  AMCL["MAFaranell&"] = "          Society";
  AMCL["DHHalsey"] = "Doctor Herbert Halsey <鍊金術訓練師>";
  AMCL["Fuely"] = "Chemist Fuely";
  AMCL["Cuely"] = "Chemist Cuely";
  AMCL["TheodG"] = "Theodore Griffs";
  AMCL["Zinge"] = "Apothecary Zinge";
  AMCL["AKeev"] = "Apothecary Keever <Royal Apothecary Society>";

  --Blue
  AMCL["WarQuart"] = "The War Quarter";

  AMCL["GerardA"] = "Gerard Abernathy";
  AMCL["LeonaT"] = "Leona Tharpe";
  AMCL["JoannW"] = "Joanna Whitehall";

  AMCL["UBowM"] = "弓箭商人";
  AMCL["AbigS"] = "Abigail Sawyer <弓箭商>";

  AMCL["UMining"] = "Mining";
  AMCL["BromK"] = "Brom Killian <採礦訓練師>";
  AMCL["SarahK"] = "Sarah Killan <採礦供應商>";

  AMCL["UWeapM"] = "Weapons Merchants";
  AMCL["Abald"] = "Archibald <武器大師>";
  AMCL["GeoffH"] = "Geoffrey Hartwell <Weapon Merchant>";
  AMCL["BeniF"] = "Benijah Fenner <Weapon Merchant>";
  AMCL["FranE"] = "Francis Eliot <Weapon Merchant>";

  AMCL["UBlacks"] = "Blacksmith";
  AMCL["JVBrunt"] = "James Van Brunt <鍛造訓練師>";
  AMCL["SVBrunt"] = "Samuel Van Brunt <鍛造供應商>";
  AMCL["MTrem"] = "Mirelle Tremayne <重型護甲商人>";

  AMCL["UGunsm"] = "槍械商";
  AMCL["NAtwood"] = "Nicholas Atwood <槍械商>";

  AMCL["HAtwood"] = "Helena Atwood";

  AMCL["SHouser"] = "Sergeant Houser";
  AMCL["SRutger"] = "Sergeant Rutger";

  AMCL["FLanke"] = "Father Lankester <牧師訓練師>";
  AMCL["FLaza"] = "Father Lazarus <牧師訓練師>";
  AMCL["UAelth"] = "Aelthalyste <牧師訓練師>";
  AMCL["BFowl"] = "Baltus Fowler <戰士訓練師>";
  AMCL["ACurt"] = "Angela Curthas <戰士訓練師>";
  AMCL["ChristW"] = "Christopher Walker <戰士訓練師>";

  --Gren
  AMCL["MagQuart"] = "The Magic Quarter";

  AMCL["UStaff"] = "法杖商";
  AMCL["SUpton"] = "Sydney Upton <法杖商>";
  AMCL["ZaneB"] = "Zane Bradford <魔杖商人>";

  AMCL["UTailor"] = "Tailor";
  AMCL["RalsF"] = "Ralston Farnsley <部落布匹軍需官>"; 
  AMCL["SVCroy"] = "Sheldon Von Croy <布甲商>";
  AMCL["Josef"] = "Josef Gregorian <裁縫訓練師>";
  AMCL["Millie"] = "Millie Gregorian <裁縫供應商>";
  AMCL["LuciC"] = "Lucille Castleton <長袍商>";

  AMCL["OranS"] = "Oran Snakewrithe";
  AMCL["SamaS"] = "Samatha Shackleton";
  AMCL["AndrB"] = "Andrew Brownell";

  AMCL["UCarto"] = "Cartography";
  AMCL["JorahA"] = "Jorah Annison";

  AMCL["UBook"] = "Book Dealer";
  AMCL["SalazB"] = "Salazar Bloch <Book Dealer>";

  AMCL["UReag"] = "施法材料商";
  AMCL["HannA"] = "Hannah Akeley <Reagent Supplies>";

  AMCL["URelic"] = "Relic Vendor";
  AMCL["SilasZ"] = "Silas Zimmer";

  AMCL["JList"] = "Josephine Lister <Master Shadoweave Tailor>";

  AMCL["CHalg"] = "Carendin Halgar";

  AMCL["UpLevel"] = "Upper Level";
  AMCL["LMort"] = "Lexington Mortaim <傳送門訓練師>";
  AMCL["BIces"] = "Bethor Iceshard";

  AMCL["RKerw"] = "Richard Kerwin <術士訓練師>";

  AMCL["AHart"] = "Anastasia Hartwell <法師訓練師>";

  AMCL["LoLevel"] = "Lower Level";
  AMCL["LPick"] = "Luther Pickman <術士訓練師>";
  AMCL["KaalS"] = "Kaal Soulreaper <術士訓練師>";
  AMCL["KaelyH"] = "Kaelystia Hatebringer <法師訓練師>";
  AMCL["PiercS"] = "Pierce Shackleton <法師訓練師>";
  AMCL["MartS"] = "Martha Strain";
  AMCL["GodrF"] = "Godrick Farsan";

  AMCL["ArmaC"] = "Armand Cromwell <釣魚訓練師>";
  AMCL["LizbC"] = "Lizbeth Cromwell <釣魚供應商>";

  --Orng
  AMCL["RogQuart"] = "The Rogues' Quarter";

  AMCL["UDag"] = "Daggers";
  AMCL["CSeat"] = "Charles Seaton <劍刃商人>";
  AMCL["NStee"] = "Nathaniel Steenwick <投擲武器商人>";

  AMCL["UPois"] = "Poison";
  AMCL["EGrav"] = "Ezekiel Graves <Poison Vendor>";

  AMCL["MEdra"] = "Mary Edras <急救訓練師>";

  AMCL["ULeat"] = "Leather Work";
  AMCL["ArthM"] = "Arthur Moore <製皮訓練師>";
  AMCL["JoseM"] = "Joseph Moore <製皮供應商>";
  AMCL["GillM"] = "Gillian Moore <皮甲商>";
  AMCL["KillH"] = "Killian Hagey <剝皮訓練師>";

  AMCL["UBag"] = "背包商人";
  AMCL["JonaC"] = "Jonathan Chambers <背包商人>";

  AMCL["UEngin"] = "Engineering";
  AMCL["FrankL"] = "Franklin Lloyd <工程學訓練師>";
  AMCL["ElizVT"] = "Elizabeth Van Talen <工程學供應商>";
  AMCL["GrahVT"] = "Graham Van Talen <Apprentice Engineer>";
  AMCL["LucF"] = "Lucian Fenner";

  AMCL["EsteG"] = "Estelle Gendry";

  AMCL["CaroW"] = "Carolyn Ward <盜賊訓練師>";
  AMCL["MileD"] = "Miles Dexter <盜賊訓練師>";
  AMCL["GregC"] = "Gregory Charles <盜賊訓練師>";
  AMCL["MennC"] = "Mennet Carkard";

  AMCL["WaltS"] = "Walter Soref <鎖匠>";

  --Red
  AMCL["RoyalQua"] = "The Royal Quarter";

  AMCL["LadWindr"] = "Lady Sylvanas Windrunner <Banshee Queen>";
  AMCL["Sharl"] = "Sharlindra";
  AMCL["Varima"] = "Varimathras";
  AMCL["ASunsor"] = "Ambassador Sunsorrow";
  AMCL["CyssaD"] = "Champion Cyssa Dawnrose <聖騎士訓練師>";

  AMCL["GrizHalf"] = "Grizzle Halfmane <奧特蘭克山谷戰場軍官>";

  AMCL["RexPix"] = "Rex Pixem <競技場戰場軍官>";

  AMCL["SirMalo"] = "Sir Malory Wheeler <阿拉希盆地戰場軍官>";

  AMCL["Lyrlia"] = "Lyrlia Blackshield <暴風之眼戰場軍官>";

  AMCL["KurdB"] = "Kurden Bloodcalw <Warsong Gultch Battlemaster>";
  AMCL["SForth"] = "Sara Forthright <遠祖灘頭戰場軍官>";
  AMCL["SForth&"] = "          Battlemaster";
  

end
